<?php

    class Kviz
    {
        const host = "localhost";
        const username = "root";
        const dbname = "kviz";
        const password = "";
        
        private $dbh;
        
        public function __construct() 
        {
            try {
                
                $con_str = "mysql:host=" . self::host . ";dbname=" . self::dbname;
                $this->dbh = new PDO($con_str, self::username, self::password);
                
            } catch (Exception $exc) {
                die("Neuspesna konekcija.");
            }
                    
        }
        
        public function __destruct() {
            $this->dbh = null;
        }
        
        public function dajKvizove() 
        {
            try {
                
                $sql = "select * from kvizovi";
                $pdo = $this->dbh->query($sql);
                $res = $pdo->fetchAll(PDO::FETCH_ASSOC);
                return $res;
                
                /*$kvizovi = [];
                
                foreach ($res as $red) {
                    $kviz['id'] = $red['id'];
                    $kviz['naziv'] = $red['naziv'];
                    
                    $kvizovi[] = $kviz;
                }
                
                return $kvizovi;*/
                
            } catch (Exception $exc) {
                die("Daj kvizove greska.");
            }
        }
        
        public function dajPitanja($id) {
            try {
                
                $sql = "select * from pitanja where id_kviza = $id";
                $pdo = $this->dbh->query($sql);
                
                $res = $pdo->fetchAll(PDO::FETCH_ASSOC);
                return $res;
            } catch (Exception $exc) {
                die("Daj pitanja greska");
            }
                    
            
        }
        
        public function dajOdgovore($id) {
            try {
                
                $sql = "select * from odgovori where id_pitanja = $id";
                $pdo = $this->dbh->query($sql);
                $res = $pdo->fetchAll(PDO::FETCH_ASSOC);
                
                return $res;
                
            } catch (Exception $exc) {
                die("Daj odgovore greska.");
            }
        }
        
        public function obrisiOdgovor($id)
        {
            try {
                
                $sql = "delete from odgovori where id = $id";
                $res =  $this->dbh->exec($sql);
                
                if(!$res)
                    return false;
                return true;
                
            } catch (Exception $exc) {
               die("Ne mogu da obrisem odgovor.");
            }
        }
    }

?>