<?php
require_once './DB.php';

$db = new db();

$QID;

if(isset($_GET['submitQuestionForRemoval'])) {
    $db->deleteQuestionsAndAnswers($_GET['questionID']);
}

if(isset($_GET['setQuizID'])) {
    $QID = $_GET['setQuizID'];
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>I popravni kolokvijum 2020/21</title>
        <style>
            .quiz, .question, .answer {
                width: 300px;
                height: 200px;
                border: 2px solid black;
                display: inline-block;
                padding: 10px;
            }
            .btnrm {
                color: red;
                font-weight: bold;
            }
        </style>
    </head>
    <body>
        
        <div class="quiz">
            <h4>Kvizovi</h4>
            _______________________
            <br>
            <?php
                $allQuizes = $db->getAllQuizes();
                foreach($allQuizes as $a) {
            ?>
            <a href="index.php?setQuizID=<?php echo $a['ID']; ?>" ><?php echo $a['naziv'] ?></a>
            <?php if(isset($_GET['setQuizID']) && $_GET['setQuizID'] == $a['ID']) { echo "<strong>(izabran)</strong>"; }?>
            <br>
            <?php
                }
            ?>
        </div>
        <div class="question">
            <h4>Pitanja za izabrani kviz:</h4>
            _______________________
            <?php
            if(isset($_GET['setQuizID'])) {
            ?>
            <form action="dodajPitanje.php" method="get">
                <input type="hidden" value="<?php echo $QID;?>" name="QuizID">
                <input type="submit" value="Dodaj pitanje" name="submitQuestion">
            </form>
            <?php
            $quizQuestions = $db->getQuizQuestions($QID);
            foreach($quizQuestions as $qq) {
            ?>
            <form action="" method="get">
                <input type="hidden" value="<?php echo $qq['ID']?>" name="questionID">
                <input class="btnrm" type="submit" value="X" name="submitQuestionForRemoval">
                <a href="<?php echo "index.php?".explode("?", $_SERVER['REQUEST_URI'])[1]."&triggerAnswers=X&questionID=".$qq['ID'];?>" ><?php echo $qq['tekst'] ?></a>
            </form>
            <?php
            }
            ?>
            <?php
            }
            ?>
            <br>
        </div>
        
        <div class="answer">
            <h4>Odgovori na izabrano pitanje:</h4>
            _______________________
            <br>
            <?php
            if(isset($_GET['triggerAnswers'])) {
            $qAnswers = $db->getQuestionAnswers($_GET['questionID']);
            foreach($qAnswers as $qa){
            ?>
            <p style="display: inline-block;"><?php echo $qa['tekst'];?></p><?php if($qa['tacan_odgovor'] == 1) { ?><strong>(tacno)</strong><?php } ?><br>
            <?php
            }
            }
            ?>
            <br>
        </div>
    </body>
</html>
