<?php
    class Db
    {
        public $host="localhost";
        public $user="root";
        public $pass ="";
        public $baza = "kviz";
        
        public $dbh;
        
        public function __construct()
        {
            try{
                $String = "mysql:host=".$this->host.";dbname=".$this->baza;
                $this->dbh=new PDO($String, $this->user,$this->pass);
            } catch (Exception $ex) {
                echo "Greska pri konekciji ".$ex->getMessage();
            }
        }
        
        public function DajKvizove()
        {
           try{
                $sql = "select * from kvizovi";
                $obj=$this->dbh->query($sql);
                $res = $obj->fetchAll(PDO::FETCH_ASSOC);
                
                $niz=[];
                foreach ($res as $r)
                {
                    $n['ID']=$r['ID'];
                    $n['naziv']=$r['naziv'];
                    
                   $niz[]=$n;
                }
                return $niz;
           } catch (Exception $ex) {
               echo "Greska  ".$ex->getMessage();
           }
        }
        
        public function DajPitanjaByIdK($idK)
        {
            try{
                $sql = "select * from pitanja where ID_kviza = $idK";
                $obj=$this->dbh->query($sql);
                $res = $obj->fetchAll(PDO::FETCH_ASSOC);
                
                $niz=[];
                foreach ($res as $r)
                {
                    $n['ID']=$r['ID'];
                    $n['tekst']=$r['tekst'];
                    $n['ID_kviza']=$r['ID_kviza'];
                    
                   $niz[]=$n;
                }
                return $niz;
           } catch (Exception $ex) {
               echo "Greska  ".$ex->getMessage();
           }
        }
        public function DajPitanja()
        {
            try{
                $sql = "select * from pitanja";
                $obj=$this->dbh->query($sql);
                $res = $obj->fetchAll(PDO::FETCH_ASSOC);
                
                $niz=[];
                foreach ($res as $r)
                {
                    $n['ID']=$r['ID'];
                    $n['tekst']=$r['tekst'];
                    $n['ID_kviza']=$r['ID_kviza'];
                    
                   $niz[]=$n;
                }
                return $niz;
           } catch (Exception $ex) {
               echo "Greska  ".$ex->getMessage();
           }
        }
        
        
        
        public function DajOdgovorByIdP($idP)
        {
            try{
                $sql = "select * from odgovori where ID_pitanja = $idP";
                $obj=$this->dbh->query($sql);
                $res = $obj->fetchAll(PDO::FETCH_ASSOC);
                
                $niz=[];
                foreach ($res as $r)
                {
                    $n['ID']=$r['ID'];
                    $n['tekst']=$r['tekst'];
                    $n['ID_pitanja']=$r['ID_pitanja'];
                    $n['tacan_odgovor'] = $r['tacan_odgovor'];
                    
                   $niz[]=$n;
                }
                return $niz;
           } catch (Exception $ex) {
               echo "Greska  ".$ex->getMessage();
           }
        }
        
        
        public function KrizById($id)
        {
           try{
                $sql = "select * from kvizovi where ID=$id";
                $obj=$this->dbh->query($sql);
                $res = $obj->fetch(PDO::FETCH_ASSOC);
               
                return $res;
                
           } catch (Exception $ex) {
               echo "Greska  ".$ex->getMessage();
           }
        }
     
        
        public function DodajPitanje($idK,$tekst)
        {
            try{
                $sql = "insert into pitanja (ID_kviza,tekst) values ($idK,'$tekst')";
                $obj=$this->dbh->exec($sql);
                return true;
            } catch (Exception $ex) {
                return false;
            }
        }
        public function DodajOdgovor($idP,$tekst,$tacan)
        {
            try{
                $sql = "insert into odgovori (ID_pitanja,tekst,tacan_odgovor) values ($idP,'$tekst',$tacan)";
                $obj=$this->dbh->exec($sql);
                return true;
            } catch (Exception $ex) {
                return false;
            }
        }
        
       function DajIdPitanja($idk, $tekst)
       {
           $sql = "select * from pitanja where ID_kviza = $idk and tekst = '$tekst' ";
           $obj=$this->dbh->query($sql);
           $res = $obj->fetch(PDO::FETCH_ASSOC);
            return $res;
       }
        
       function BrisiPitanje($id)
       {
           try{
               $sql = "delete * from pitanja where ID=$id";
           $obj=$this->dbh->exec($sql);
          return true;
               
           } catch (Exception $ex) {
               return false;
           }
       }
   
        function Brisiodgovor($idO)
       {
           try{
               $sql = "delete * from odgovori where ID=$idO";
           $obj=$this->dbh->exec($sql);
          return true;
               
           } catch (Exception $ex) {
               return false;
           }
       }
    }
    
?>