<?php
    class Db
    {
        const host = "localhost";
        const dbname = "kviz";
        const user = "root";
        const  pass = "";
        
        private $dbh;
        
        public function __construct() {
            $connstr = "mysql:host=" .self::host. ";dbname=" .self::dbname;
            $this->dbh = new PDO($connstr, self::user, self::pass);
        }
        
        public function __destruct() {
            $this->dbh = null;
        }
        
        public function dajSveKvizove()
        {
            $sql = "SELECT * FROM kvizovi";
            $res = $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        public function dajPitanjaZaIzabraniKviz($id)
        {
            $sql = "SELECT * FROM pitanja WHERE ID_kviza=$id";
            $res = $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        public function dodajPitanje($kviz_id, $tekst)
        {
            $sql = "INSERT INTO pitanja(ID_kviza, tekst) VALUES($kviz_id, '$tekst')";
            $this->dbh->exec($sql);
        }
        
        public function dodajOdgovorNaPitanje($pitanje_id, $tekst, $tacan_odgovor)
        {
            $sql = "INSERT INTO odgovori(ID_pitanja, tekst, tacan_odgovor) VALUES($pitanje_id, '$tekst', $tacan_odgovor)";
            $this->dbh->exec($sql);
        }
        
        public function dajOdgovoreNaPitanje($pitanjeID)
        {
            $sql = "SELECT * FROM odgovori WHERE ID_pitanja=$pitanjeID";
            $res = $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        public function obrisiOdgovor($id)
        {
            $sql = "DELETE FROM odgovori WHERE ID = $id";
            $this->dbh->exec($sql);
        }
        
        public function obrisiPitanje($pid)
        {
            $odgovori = $this->dajOdgovoreNaPitanje($pid);
            
            foreach ($odgovori as $odg)
            {
                $oid = $odg['ID'];
                $this->obrisiOdgovor($oid);
            }
            
            $sql = "DELETE FROM pitanja WHERE ID=$pid";
            $this->dbh->exec($sql);
        }
    }
?>

