<?php

class Db
{
    const ime_hosta = "localhost"; 
    const korisnik = "root"; 
    const sifra = ""; 
    const ime_baze = "kviz";
    
    
    private $dbh;
    
    public function __construct() {
       
           $konekcioni_string="mysql:host=".self::ime_hosta.";dbname=".self::ime_baze; 
           $this->dbh = new PDO($konekcioni_string, self::korisnik, self::sifra);
        
            
    }
    
    public function __destruct() {
        $this->dbh=null;
    }
    
    public function dajKvizove()
    {
        $sql = "SELECT * FROM kvizovi";
        $upit = $this->dbh->query($sql);
    
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
     public function dajPitanja($id)
    {
        $sql = "SELECT * FROM pitanja WHERE ID_kviza=$id";
        $upit = $this->dbh->query($sql);
    
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajOdgovore($kviz_id, $pitanje_id)
    {
        $sql = "SELECT * FROM odgovori WHERE ID_pitanja=$pitanje_id";
        $upit = $this->dbh->query($sql);
    
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function obrisiPitanje($id)
    {
        $sql = "DELETE FROM odgovori WHERE ID_pitanja = $id";
        $this->dbh->exec($sql);
        
        $sql="DELETE FROM pitanja WHERE ID=$id";
        $this->dbh->exec($sql);
        
    }
    
    public function dodajPitanje($kviz_id, $tekst)
    {
        $sql = "INSERT INTO pitanja (ID_kviza, tekst) VALUES ($kviz_id, '$tekst')";
        $this->dbh->exec($sql);
      
        
        
    }
    
    public function dodajPitanje1($kviz_id, $tekst, $brojOdgovora, $odgovor, $tacan_odgovor)
    {
        $sql = "INSERT INTO pitanja (ID_kviza, tekst) VALUES ($kviz_id, '$tekst')";
        $this->dbh->exec($sql);
      
        $idPitanja= $this->dajIdPitanja();
        
        for ($i = 0; $i < $brojOdgovora; $i++) {
            $this->dodajOdgovor($idPitanja, $odgovor[$i], $tacan_odgovor[$i]);
        }
        
        
    }
    
    public function dajIdPitanja()
    {
        $sql = "SELECT * FROM pitanja";
        
        $upit= $this->dbh->query($sql);
        $rezultat = $upit->fetchAll(PDO::FETCH_NUM);
        
        $max=$rezultat[0]->ID;
        for ($i = 1; $i < count($rezultat); $i++) {
            if($rezultat[i]->ID > $rezultat[i-1]->ID)
            {
                $max=$rezultat[i]->ID;
            }
        }
        
        return $max;
    }
    
    public function dodajOdgovor($pitanje_id, $tekst, $tacan_odgovor)
    {
        $sql = "INSERT INTO odgovori (ID_pitanja, tekst, tacan_odgovor) VALUES ($pitanje_id, '$tekst', $tacan_odgovor)";
        $this->dbh->exec($sql);
    }
    
}