<?php

class kviz_db { 
    const ime_hosta = 'localhost'; 
    const korisnik = 'root'; 
    const sifra = ''; 
    const ime_baze = "kviz"; 
    
    private $dbh;
    
    function __construct() { 
        try { 
            $konekcioni_string="mysql:host=".self::ime_hosta.";dbname=".self::ime_baze; 
            $this->dbh = new PDO($konekcioni_string, self::korisnik, self::sifra); 
            
        } catch(PDOException $e) { 
            echo "GRESKA: "; 
            echo $e->getMessage(); 
            
        } 
        
     } 
        
    function __destruct() { 
        $this->dbh = null;             
    }
    
    public function prikazKvizova() {
    try {
        $sql = "SELECT ID, naziv FROM kvizovi";
        // Ako je zadat kriterijum dodaj ga u upit
       
        $pdo_izraz = $this->dbh->query($sql);
        $niz = $pdo_izraz->fetchALL(PDO::FETCH_ASSOC);
        
                    
            foreach($niz as $kviz) {
                echo  "<a href='#' id='".$kviz['ID']."'>".$kviz['naziv']."</a><br>";
            }
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
        }
    }
    
    public function prikazPitanja() {
    try {
        $sql = "SELECT ID, ID_kviza, tekst FROM pitanja";
               
        $pdo_izraz = $this->dbh->query($sql);
        $niz = $pdo_izraz->fetchALL(PDO::FETCH_ASSOC);
                            
            foreach($niz as $pitanje) {
                echo "<input type='button' id='".$pitanje['ID']."' value=' x ' onclick='brisiPitanje(this.id)'>";
                echo $pitanje['tekst'];
                echo "<br>";

            }
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
        }
    }
    
    public function prikazOdgovora() {
    try {
        $sql = "SELECT ID, ID_pitanja, tekst, tacan_odgovor FROM odgovori";
               
        $pdo_izraz = $this->dbh->query($sql);
        $niz = $pdo_izraz->fetchALL(PDO::FETCH_ASSOC);
                            
            foreach($niz as $odgovor) {
                echo "<input type='button' id='".$odgovor['ID']."' value=' x ' onclick='brisiPitanje(this.id)'>";
                echo $odgovor['tekst'];
                
                if($odgovor['tacan_odgovor']==TRUE)
                    echo "(tacno)";
                
                echo "<br>";

            }
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
        }
    }
    
    public function dodajPitanje($ID_kviza, $tekst) {
        try {
            $sql = "INSERT INTO pitanja(ID_kviza,tekst)";
            $sql.= "VALUES ('$ID_kviza', '$tekst')";
            $pdo_izraz = $this->dbh->exec($sql);
            return true;
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
            return false;
        }
    }

    public function brisiPitanje($id) {
        try {
            $sql = "DELETE FROM pitanja WHERE ID=$id";
            $pdo_izraz = $this->dbh->exec($sql);
            
            $sql2 = "DELETE FROM odgovori WHERE ID_pitanja=$id";
            $pdo_izraz2 = $this->dbh->exec($sql2);
            
            
            return true;
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
            return false;
        }
    }
     
    public function prikazListeKvizova() {
    try {
        $sql = "SELECT ID, naziv FROM kvizovi";
       
        $pdo_izraz = $this->dbh->query($sql);
        $niz = $pdo_izraz->fetchALL(PDO::FETCH_ASSOC);
                            
            foreach($niz as $kviz) {
                echo "<option id='idKviza'>".$kviz['naziv']."</option>";
            }   
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
        }
    }
    
    /*
    public function dodajOdgovor($ID_kviza, $tekst) {
        try {
            $sql = "INSERT INTO pitanja(ID_kviza,tekst)";
            $sql.= "VALUES ('$ID_kviza', '$tekst')";
            $pdo_izraz = $this->dbh->exec($sql);
            return true;
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
            return false;
        }
    }

    public function brisiOdgovor($id) {
        try {
            $sql = "DELETE FROM pitanja WHERE ID=$id";
            $pdo_izraz = $this->dbh->exec($sql);
            return true;
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
            return false;
        }
    }
     */
    
    
}

