<?php

class DB{    
    const host = "localhost";
    const dbname = "kviz";
    const user = "root";
    const pass = "";    
    
    private $dbh;
    
    public function __construct() {
        try{
            $konekcioni = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh = new PDO($konekcioni, self::user, self::pass);
        }
        catch(PDOException $e){
            echo "Greska: \n". $e;
        }
    }
    
    public function __destruct() {
        $this->dbh = null;
    }
    
    public function dodajPitanje($ID_kviza, $tekst){
        $sql = "INSERT INTO pitanja(ID_kviza, tekst) VALUES($ID_kviza, $tekst)";
        $upit = $this->dbh->query($sql);
    }
    
    public function obrisiPitanje($ID_pitanja){
        $odgovori =$this->dajOdgovorPitanje($ID_pitanja);
        
        foreach ($odgovori as $$odgovor) {
            $ID_odgovora = $odgovor['ID'];
            $this->obrisiOdgovor($ID_odgovor);
        }
    }
    
    public function dodajOdgovor($ID_pitanja, $tekst, $tacan_odgovor){
        $sql = "INSERT INTO odgovori(ID_ptanja, tekst, tacan_odgovor)".
                "VALUES ($ID_pitanja, $tekst, $tacan_odgovor)";
        $upit = $this->dbh->query($sql);
    }
    
    public function obrisiOdgovor($ID_odgovor){
        $sql = "DELETE FROM odgovori WHERE ID = $ID_odgovor";
        $upit = $this->dbh->query($sql);
    }
    
    public function dajOdgovorPitanje($ID_pitanja){
        $sql = "SELECT tacan_odgovor FROM odgovori WHERE ID_pitanja = $ID_pitanja";
        $upit = $this->dbh->query($sql);
        
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function dajPitanjaKviza($id){
        $sql = "SELECT * FROM pitanja WHERE ID-kviza=$id";
        $upit = $this->dbh->query($sql);
        
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajKvizove(){
        $sql = "SELECT * FROM kvizovi";
        $upit = $this->dbh->query($upit);
        
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajOdgovore(){
        $sql = "SELECT * FROM pitanja AS p JOIN odgovori AS o ON o.ID_pitanja = p.ID"
                . "JOIN kvizovi AS k ON k.ID = p.ID_kviza";
        $upit = $this->dbh->query($upit);
    }
    
    public function dajNaziveKvizova(){
        $sql = "SELECT naziv FROM kvizovi";
        $upit = $this->dbh->query($upit); 
        
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    
}

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

?>

