<?php

 class database
 {
     private $db;
     const user = "root";
     const pass = "";
     const host = "localhost";
     const dbnm = "kviz";
     
     public function __construct() {
         try {
            $con = "mysql:host=".self::host.";dbname=".self::dbnm;
            $this->db = new PDO($con,self::user,self::pass);
         } catch (Exception $exc) {
             echo $exc->getTraceAsString();
         }
     }
     
     public function __destruct() {
         $this->db = null;
     }
     
     public function dajKvizove()
     {
         $upit = "select * from kvizovi";
         $res = $this->db->query($upit);
         $niz = $res->fetchAll(PDO::FETCH_ASSOC);
         $nizKvizova = [];
         
         foreach ($niz as $n) {
             $temp["ID"] = $n["ID"];
             $temp["naziv"] = $n["naziv"];
             $nizKvizova[] = $temp;
         }
         
         return $nizKvizova;
     }
     
     public function dajPitanjaZaKviz($idKviza)
     {
         $upit = "select * from pitanja where ID_kviza =".$idKviza;
         $res = $this->db->query($upit);
         $niz = $res->fetchAll(PDO::FETCH_ASSOC);
         $nizPitanja = [];
         
         foreach ($niz as $n) {
             $temp["ID"] = $n["ID"];
             $temp["ID_kviza"] = $n["ID_kviza"];
             $temp["tekst"] = $n["tekst"];
             
             $nizPitanja[] = $temp;
         }
         
         return $nizPitanja; 
     }
     
     public function dajSveOdgovore($idPitanja)
     {
         $upit = "select * from odgovori where ID_pitanja =".$idPitanja;
         $res = $this->db->query($upit);
         $niz = $res->fetchAll(PDO::FETCH_ASSOC);
         $nizOdgovori = [];
         
         foreach ($niz as $n) {
             $temp["ID"] = $n["ID"];
             $temp["ID_pitanja"] = $n["ID_pitanja"];
             $temp["tekst"] = $n["tekst"];
             $temp["tacan_odgovor"] = $n["tacan_odgovor"];
             
             
             $nizOdgovori[] = $temp;
         }
         
         return $nizOdgovori; 
     }
     
     public function brisiPitanje($id)
     {
         $upit1 = "delete from pitanja where ID = ".$id;
         $upit2 = "delete from odgovori where ID_pitanje = ".$id;
         
         $res1 = $this->db->exec($upit1);
         $res2 = $this->db->exec($upit2);
         
         if($res1 > 0 && $res2 > 0)
         {
             return true;
         }
         else{
             return false;
         }
         
     }
     
     public function dodajPitanje($idKviza,$tekstPitanja,$brojOdgovora,$odgovori)
     {
        $upit1 = "insert into pitanja(ID_kviza, tekst) values($idKviza,'".$tekstPitanja."')";
        $res1 = $this->db->exec($upit1);
        
        foreach ($odgovori as $odgovor)
        {
            $upit2 = "insert into odgovori (ID_pitanja, tekst, tacan_odgovor) values(1,'".$odgovor['odgovor']."',".$odgovor['tacan'].")";
            $res2 = $this->db->exec($upit1);
        }        
        
        return true;
        
     }
 }