<?php
require_once 'db.php';
$db = new KvizDB();

$kvizovi = $db->getKvizovi();
?>

<a href="index.php">Povratak na pocetnu stranu</a>
<form>
<p>
Odaberite kviz <select name="kvizID">
<?php 
    foreach($kvizovi as $k){
        echo "<option value=".$k['ID'].">";
        echo $k['naziv'];
        echo "</option>";
    }
?>
</select>
</p>

<p>
Tekst pitanja: <input type="text" name="tp" placeholder="tekst pitanja">
</p>

<p>
Broj odgovora: <input type="number" name="br_o" onchange="odgovori(this.value)">
</p>

<div id="odiv">
</div>

<input type="submit" value="Dodaj pitanje" name="dodaj">
</form>

<?php
if(isset($_GET['dodaj'])){
    $kvizID = $_GET['kvizID'];
    $tekstP = $_GET['tp'];
    $odgovori = [];
    $brOdg = $_GET['br_o'];
    for($i=0; $i<$brOdg; $i++){
        $o = new Odgovor();
        $o->tekst = $_GET['tekst-'.$i];
        $o->tacan = isset($_GET['tacan-'.$i]);
        $odgovori[] = $o;
    }

    if($db->addPitanje($kvizID, $tekstP, $brOdg, $odgovori)){
        echo "<p>Uspesno ste dodali pitanje!</p>";
    }
}
?>

<script>
function odgovori(broj){
    var div = document.getElementById("odiv");
    //div.innerHTML = broj;
    var str = "";
    for(var i=0; i<broj; i++){
        str+="<input type='text' name='tekst-"+i+"'>";
        str+= " Tacan: <input type='checkbox' name='tacan-"+i+"'><br><br>";
    }
    div.innerHTML = str;
}

</script>