<?php

require_once 'db.php';
$db = new Db();

if(!isset($_GET['kvizID']))
{
    header("Location: index.php");
}
else 
{
    $idKviza = $_GET['kvizID'];
    if(!$db->dajKviz($idKviza))
    {
        header("Location: index.php");
    }
}

if(isset($_GET["dodajPitanje"]))
{
    $kvizID = $_GET['selectKviz'];
    $tekstPitanja = $_GET['pitanje'];
    $brojOdgovora = $_GET['brOdgovora'];
    $pitanje = $db->unesiPitanje($kvizID, $tekstPitanja);
    $idPitanja = $pitanje['ID'];
    $flag = 0;
    for ($i = 0 ; $i<$brojOdgovora; $i++)
    {
        $tekstOdgovora = $_GET['odgovor_'.$i];
        if(isset($_GET['ch_'.$i]))
        {
            $tacan = 1;
            $flag = 1;
        }
        else
        {
            $tacan = 0;
        }
        if($flag = 1)
        {
            $result = $db->unesiOdgovor($idPitanja, $tekstOdgovora, $tacan);
            if($result)
            {
               echo "USPESNO STE DODALI PITANJE!";
            }
        }
        else
            echo "NIJE CEKIRAN NIJEDAN TACAN ODGOVOR";
    }
}
?>

<h2>Dodavanje pitanja i odgovora</h2>
<a href="index.php"> Povratak na pocetnu  </a>
<form method="GET">
    <p>Odaberite kviz: </p>
    <select name="selectKviz">
        <?php 

        $kvizovi = $db->dajKvizove();
        foreach ($kvizovi as $kviz)
        {
        ?>
        <option value="<?php echo $kviz['ID'];?>" <?php if($_GET['kvizID'] == $kviz['ID'])echo "selected";?>>
            <?php echo $kviz['naziv'];?>
        </option>
        <?php
        }
        ?>
    </select>

    <p>Tekst pitanja: </p>
    <input type="text" placeholder="tekst pitanja" name="pitanje">
    <br>
    <p>Broj odgovora: </p>
    <input type="number" id="brojac" placeholder="broj odgovora" name="brOdgovora" onchange="ucitaj()">
    <br>
    <span id='gde'>
    </span>
    
    <input type="submit" name="dodajPitanje" value="Dodaj pitanje">

</form>

<script>
    function ucitaj()
    {
        br = document.getElementById("brojac").value;
        var gde = document.getElementById('gde');
        str = "";
        
        for(i=0; i<br;i++)
        {
            str += "<input type='text' name='odgovor_"+i+"' >";
            str += "Tacan:";
            str += "<input type='checkbox' id='"+i+"' name='ch_"+i+"' ><br>";
        }
        
        gde.innerHTML = str;
    }
</script>
