<?php
require_once 'db.php';

$db = new Db();
$uspeo = false;
if(isset($_GET['addNewQuestion']))
{
    $quiz = $_GET['selectedQuiz'];
    $text = $_GET['questionText'];
    $numberOfAnswers = $_GET['numberOfAnswers'];
    $answers = [];
    for($i=0 ; $i < $numberOfAnswers; $i++)
    {
        $answers['answer'.$i] = $_GET['answer'.$i];
        if(isset($_GET['checkbox'.$i]))
                $answers['checkbox'.$i] = true;
        
    }
    $uspeo = $db->addNewQuestion($quiz,$text,$numberOfAnswers,$answers);
}
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <script>
        function addAnswers()
        {
            var numberOfAnswers = document.getElementById('numberOfAnswers').value;
            var answers = "";
            for (var i = 0; i < parseInt(numberOfAnswers); i++)
            {
                var answer = '<input type="text" name="answer' + i + '" placeholder="odgovor'+i+'"> Tacan: <input type="checkbox" name="checkbox' + i + '"><br>';
                answers += answer;
            }
            document.getElementById('answers').innerHTML = answers;
        }
    </script>
    <body>
        <h1>Dodavanje pitanja i odgovora</h1>
        <a href="index.php">Povratak na pocetnu stranu</a>
        <form method="get" action="<?php echo $_SERVER['PHP_SELF'] ?>">
            Odaberite kviz:
            <select name="selectedQuiz" value="<?php if(isset($_GET['quiz'])) $_GET['quiz'] ?>">
                <?php
                $quizes = $db->getAllQuizes();
                foreach ($quizes as $quiz) {
                    echo '<option value="' . $quiz['ID'] . '">' . $quiz['naziv'] . '</option>';
                }
                ?>
                <input type="text" name="questionText" placeholder="tekst pitanja">
                <br>
                <input type="number" id="numberOfAnswers" name="numberOfAnswers" onchange="addAnswers()">
                <br>
                <div id="answers">
                </div>
                <input type="submit" name="addNewQuestion" value="Dodaj pitanje">
        </form>
        <?php if($uspeo) echo 'Uspesno ste dodali pitanje!'; ?>
    </body>
</html>
