<?php

class Db {

    private $host = 'localhost';
    private $user = 'root';
    private $pass = '';
    private $dbname = 'kviz';
    
    private $dbh;
    
    function __construct() {
        try {
        $connStr = "mysql:host=".$this->host.";dbname=". $this->dbname;
        $this->dbh = new PDO($connStr, $this->user, $this->pass);    
        } catch (Exception $ex) {
            die("Neuspesno povezivanje sa bazom");
        }
    }
    function __destruct() {
        $this->dbh = null;
    }
    
    
    function DajSveKvizove()
    {
        $sql = "select * from kvizovi";
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function DajPitanjaZaKviz($idKviza)
    {
        $sql = "select * from pitanja where ID_kviza = ".$idKviza;
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function DajOdgovorenaPitanje($idPitanja)
    {
        $sql = "select * from odgovori where ID_pitanja = ".$idPitanja;
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function ObrisiPitanje($idPitanja)
    {
        $sql = "select * from odgovori where ID_pitanja = ".$idPitanja;
        $res = $this->dbh->query($sql);
        $odgovori = $res->fetchAll(PDO::FETCH_ASSOC);
        
        foreach ($odgovori as $odgovor) {
            $sql = "DELETE FROM odgovori WHERE ID = ".$odgovor['ID'];
            $pdo_izraz = $this->dbh->exec($sql);
        }
        
        $sql = "DELETE FROM pitanja WHERE ID = ".$idPitanja;
        $pdo_izraz = $this->dbh->exec($sql);
    }
    
    function DodajPitanje($idTesta, $tekst)
    {
        $sql = "INSERT INTO pitanja(ID_kviza, tekst)";
        $sql.= "VALUES ($idTesta, '$tekst')";
        $pdo_izraz = $this->dbh->exec($sql);
    }
    
    function DodajOdgovor($idPitanja, $tekst, $tacan)
    {
        $sql = "INSERT INTO odgovori(ID_pitanja, tekst, tacan_odgovor)";
        $sql.= "VALUES ($idPitanja, '$tekst', ";
        if($tacan == 1)
        {
            $sql.= "true)";
        }
        else
        {
            $sql.= "false)";
        }
        $pdo_izraz = $this->dbh->exec($sql);
    }
    
    function dajPitanjeZaTekst($id, $tekst)
    {
        $sql = "select * from pitanja where ID_kviza = ".$id." and tekst = '".$tekst."'";
        $res = $this->dbh->query($sql);
        return $res->fetch(PDO::FETCH_ASSOC);
    }
}

?>
