
<?php
require_once './db.php';
$db = new Db();

$kvizovi = $db->DajSveKvizove();

if(isset($_GET['ZaBrisanje']))
{
    $db->ObrisiPitanje($_GET['ZaBrisanje']);
}
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <!--Izlistavanje kvizova-->
        <div style="width: 250px; height: 500px;border: 1px solid black;  float: left">
            
            <h5>kvizovi:</h5>
            <hr />
            <?php
            foreach ($kvizovi as $kviz) {
                ?>
            <a href="index.php?izabranKviz=&idKviza=<?php echo $kviz['ID']; ?>"><?php echo $kviz['naziv'] ?></a>
            <?php if(isset($_GET['izabranKviz']) && $_GET['idKviza'] == $kviz["ID"]) echo "<span>(izabran)</span>"?><br />
            <?php
            }
            ?>
        </div>
        
        
        
        <!--Izlisdtavanje pitanja-->
        <div style="width: 250px; height: 500px; border: 1px solid black; float: left">
            <h5>Pitanja za izabrani kviz:</h5>
            <?php if(isset($_GET['izabranKviz']))
                  {
            ?>
            <button onclick="FormaDodaj(<?php echo $_GET['idKviza'] ?>)">Dodaj pitanje</button>
            <?php
            }
            ?>
            <hr />
            
            <?php
                if(isset($_GET['izabranKviz']))
                {
                    $pitanja = $db->DajPitanjaZaKviz($_GET['idKviza']);
                    foreach ($pitanja as $pitanje)
                    {
                        
            ?>
            <button style="color: red;" onclick="Obrisi(<?php echo $pitanje['ID'] ?>)">X</button>
            <a href="index.php?izabranKviz=&idKviza=<?php echo $_GET['idKviza'] ?>&izabranoPitanje=&idPitanja=<?php echo $pitanje['ID'] ?>"><?php echo $pitanje['tekst'] ?></a>
            <?php if(isset($_GET['izabranoPitanje']) && $_GET['idPitanja'] == $pitanje["ID"]) echo "<span>(izabran)</span>"?><br />
                <?php
           
                    }
                }
                
            ?>
        </div>
        
        
        
        
        
        
        <!--Poslednji deo sa odgovorima-->
        <div style="width: 250px; height: 500px; border: 1px solid black; float: left">
            <h5>Odgovori za izabrano pitanje</h5>
            <hr />
            <?php
            if(isset($_GET['izabranoPitanje']))
            {
                $odgovori = $db->DajOdgovorenaPitanje($_GET['idPitanja']);
                
                foreach ($odgovori as $odgovor)
                {
            ?>
            <span><?php echo $odgovor['tekst'] ?></span>
                <?php if($odgovor['tacan_odgovor']) echo "<span><b>(tacan)</b></span>" ?><br/>
            <?php
                }
            }
            ?>
        </div>
    </body>
    
    <script>
        function FormaDodaj(id)
        {
            window.location.href = "dodavanje.php?idKviza="+id;
        }
        
        function Obrisi(id)
        {
            window.location.href = "index.php?ZaBrisanje="+id;
        }
    </script>    
</html>
