<?php
    require_once 'db.php';
    
    $db = new Db();
    
    if(isset($_GET['id_kviza']))
    {
        $id_kviza = $_GET['id_kviza'];
    }
    $err = '';
    if(isset($_GET['dodaj_pitanje']))
    {
        if(!empty($_GET['tekst_pitanja']))
        {
            $db->dodajPitanje($_GET['odabrani_kviz'], $tekst);
            if(!empty($_GET['br_odg']) || $_GET['br_odg'] > 0)
            {
                $odgovori_za_dodavanje = $_GET['id_odgovora'];
                $tacni_odgovori = $_GET['tacan'];
                for($i = 1; $i <= $_GET['br_odg']; $i++ )
                {
                    $tekst_odgovora = $odgovori_za_dodavanje[i];
                    if(tacan[i])
                    {
                        $tacan_odgovor = true;
                    }
                    else
                    {
                        $tacan_odgovor = false;
                    }
                    if(!empty($tekst_odgovora))
                        $db->dodajOdgovore($id_kviza, $tekst, $tacan_odgovor);
                }
                
            }
        }
        else
        {
            $err = "Niste uneli tekst pitanja!";
        }
    }
?>

<html>
    <title>Dodaj pitanje</title>
    <body>
        <script>
            function brojOdgovora()
            {
                brOdg = document.getElementById("br_odg").value;
                odg_input = '';
                if(brOdg > 0)
                {
                    for(i = 1; i <= brOdg; i++)
                    {
                        odg_input += "<input type='text' name='id_odgovora[]'>Tacan:<input type='checkbox' name='tacan[]'><br><br>";
                    }
                }
                
                document.getElementById('broj_odgovora').innerHTML = odg_input;
            }
        </script>
        <h2>Dodavanje pitanja i odgovora</h2>
        <a href="index.php?izabran_kviz=<?php echo $id_kviza; ?>">Povratak na pocetnu stranu</a>
        <br><br>
        <form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
            Odaberite kviz: <select name="odabrani_kviz">
                <?php
                    $kvizovi = $db->dajSveKvizove();
                    $options = '';
                    foreach ($kvizovi as $kviz)
                    {
                        if($id_kviza == $kviz['ID'])
                        {
                            $options .= "<option value='".$kviz['ID']."' selected='selected'>".$kviz['naziv']."</option>";
                        }
                        else
                            $options .= "<option value='".$kviz['ID']."'>".$kviz['naziv']."</option>";
                    }
                    echo $options;
                ?>
            </select><br>
            Tekst pitanja:<input type="text" name="tekst_pitanja"><br>
            Broj odgovora:<input type="number" name="br_odg" id="br_odg" onchange="brojOdgovora();">
            <p id="broj_odgovora"></p>
            <input type="hidden" name="id_kviza" value="<?php echo $id_kviza; ?>">
            <input type="submit" name="dodaj_pitanje" value="Dodaj pitanje">
        </form>
        <p></p>
    </body>
</html>
