<?php

class Db {
    const host = "localhost";
    const dbname = "kviz";
    const user = "root";
    const password = "";
    
    private $dbh;
    
    public function __construct() {
        $connStr = "mysql:host=" .self::host .";dbname=" .self::dbname;
        $this->dbh = new PDO($connStr, self::user, self::password);
    }
    
    public function __destruct() {
        $this->dbh = null;
    }
    
    public function getAllKvizovi() {
        $sql = "select * from kvizovi";
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function getPitanjaByKvizId($kvizID) {
        $sql = "select * from pitanja where ID_kviza = $kvizID";
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function getOdgoviriByPitanjaId($pitanjeID) {
        $sql = "select * from odgovori where ID_pitanja = $pitanjeID";
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function deletePitanje($id) {
        $this->dbh->beginTransaction();
        $this->deleteOdgovoriByPitanjeId($id);
        $sql = "delete from pitanja where ID = $id";
        $this->dbh->exec($sql);
        $this->dbh->commit();
    }
    
    public function deleteOdgovoriByPitanjeId($id) {
        $sql = "delete from odgovori where ID_pitanja = $id";
        $this->dbh->exec($sql);
    }
    
    public function dodajPitanje($idKviza, $tekst) {
        $sql = "insert into pitanja(ID_kviza, tekst) values($idKviza, '$tekst')";
        $res = $this->dbh->exec($sql);
        return true;
    }
    
    public function getNewId() {
        $sql = "select * from pitanja";
        $res = $this->dbh->query($sql);
        $rows = $res->fetchAll(PDO::FETCH_ASSOC);
        
        $max = -1;
        
        foreach ($rows as $row) {
            if($row['ID'] > $max)
                $max = $row['ID'];
        }
        
        return $max;
    }
    
    public function dodajOdgovor($ID_pitanja, $tekst, $tacan_odgovor) {
        $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values($ID_pitanja, '$tekst', $tacan_odgovor)";
        $this->dbh->exec($sql);
    }
}
/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

