<?php
    class Db
    {
        const host = "localhost";
        const user = "root";
        const pass = "";
        const dbname = "kviz";
        
        private $dbh;
        
        public function __construct() {
            $connStr = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh = new PDO($connStr, self::user, self::pass);
        }
        
        public function __destruct() {
            $this->dbh = null;
        }
        
        public function getKvizovi()
        {
            $sql = "select * from kvizovi";
            $res = $this->dbh->query($sql);
            
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        public function getPitanja($ID_kviza)
        {
            $sql = "select * from pitanja where ID_kviza=$ID_kviza";
            $res = $this->dbh->query($sql);
            
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        public function getOdgovori($ID_pitanja)
        {
            $sql = "select * from odgovori where ID_pitanja=$ID_pitanja";
            $res = $this->dbh->query($sql);
            
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        public function obrisiPitanje($ID_pitanja)
        {
            $sql = "delete from pitanja where ID=$ID_pitanja";
            $this->dbh->exec($sql);
            
            $sql = "delete from odgovori where ID_pitanja=$ID_pitanja";
            $this->dbh->exec($sql);
            
        }
        
        public function dodajPitanje($ID_kviza, $tekst)
        {
            $sql = "insert into pitanja(ID_kviza, tekst) values($ID_kviza, '$tekst')";
            $this->dbh->exec($sql);
            
            $sql = "select * from pitanja where ID_kviza=$ID_kviza and tekst='$tekst'";
            $res = $this->dbh->query($sql);
            
            return $res->fetch(PDO::FETCH_ASSOC);
        }
        
        public function dodajOdgovore($ID_pitanja, $tekst, $tacan_odgovor)
        {
            $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values($ID_pitanja, '$tekst', $tacan_odgovor)";
            $this->dbh->exec($sql);
        }
    }
?>