<?php

class Db
{
    const host='localhost';
    const dbname='kviz';
    const user='root';
    const pass='';
    
    private $dbh;
    
    public function __construct() {
        try {
            $string="mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh= new PDO($string, self::user, self::pass);
        } catch (Exception $ex) {
            die("Greska s bazom");
          
        }
    }
    
    public function __destruct() {
        $this->dbh= null;
    }
    
    public function daj_kvizove()
    {
        $sql = "select * from kvizovi";
        $upit= $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function pitanjazaKviz($idkviza)
    {
        $sql = "select * from pitanja where ID_kviza=$idkviza";
        $upit= $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function dajodgovorezapitanje($idpitanja)
    {
        $sql = "select * from odgovori where ID_pitanja= $idpitanja";
        $upit= $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function tacan_odgovor($id)
    {
        $sql = "select * from odgovori where ID=$id";
        $upit= $this->dbh->query($sql);
        $odg= $upit->fetch(PDO::FETCH_ASSOC);
        
        if($odg['tacan_odgovor'] == 1)
            return true;
        else return false;
    }
    
    public function izbrisipitanje($id)
    {
        $sql = "delete from pitanja where ID=$id";
        $upit = $this->dbh->exec($sql);
        return ;
    }
    
    public function izbrisiodgovorezapitanje($id)
    {
        $sql="delete from odgovori where ID=$id";
        $upit= $this->dbh->exec($sql);
        return;
    }
    
    public function dodajpitanje($idkviza, $tekst)
    {
        $sql = "insert into pitanja(ID_kviza, tekst) values ($idkviza, '$tekst')";
        $upit = $this->dbh->exec($sql);
        return;
    }
    
    public function dodajOdogovre($idpitanja, $tekst, $odgovor)
    {
        $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values ($idpitanja, '$tekst', $odgovor)";
        $upit = $this->dbh->exec($sql);
        return;
        
    }
}

?>

