<?php
class db {
    private $host = "localhost";
    private $dbname = "kviz";
    private $uname = "root";
    private $pass = "";
    private $port = 3306;
    
    private $dbh;
    
    public function __construct() {
        $conn_str = "mysql:host=".$this->host.";port=".$this->port.";dbname=".$this->dbname;
        $this->dbh = new PDO($conn_str, $this->uname, $this->pass);
    }
    
    public function __destruct() {
        $this->dbh = null;
    }

    public function getAllQuizes() {
        $sql = "SELECT * FROM kvizovi";
        $res = $this->dbh->query($sql);
        if(!$res) return false;
        $r = $res->fetchAll(PDO::FETCH_ASSOC);
        
        return $r;
    }
    
    public function getQuizQuestions($QID) {
        $sql = "SELECT * FROM pitanja WHERE ID_kviza=".$QID;
        $res = $this->dbh->query($sql);
        if(!$res) return false;
        $r = $res->fetchAll(PDO::FETCH_ASSOC);
        
        return $r;
    }
    
    public function getQuestionAnswers($questionID) {
        $sql = "SELECT * FROM odgovori WHERE ID_pitanja=".$questionID;
        $res = $this->dbh->query($sql);
        if(!$res) return false;
        $r = $res->fetchAll(PDO::FETCH_ASSOC);
        
        return $r;
    }
    
    public function deleteQuestionsAndAnswers($QuestionID) {
        $sql = "DELETE FROM pitanja WHERE ID=".$QuestionID;
        $res = $this->dbh->exec($sql);
        
        $sql = "DELETE FROM odgovori WHERE ID_pitanja=".$QuestionID;
        $res = $this->dbh->exec($sql);
        
        return $res;
    }
    
    public function insertNewQuestionAndAnswers($quizID, $questionText, $answers) {
        $newID;
        $sql = "SELECT MAX(ID) as mm FROM pitanja";
        $r = $this->dbh->query($sql);
        $r = $r->fetchAll(PDO::FETCH_ASSOC);
        $newID  =$r[0]['mm'] + 1;
        
        $sql = "INSERT INTO pitanja (ID, ID_kviza, tekst) VALUES (".$newID.", ".$quizID.",\"".$questionText."\")";
    
        $r = $this->dbh->exec($sql);
        
        foreach ($answers as $a) {
            $sql = "INSERT INTO odgovori(ID, ID_pitanja, tekst, tacan_odgovor) VALUES ";
        
            $sql .= "(NULL,";
            $sql .= $newID.",";
            $sql .= "\"".explode("$", $a)[0]."\",";
            $sql .= explode("$", $a)[1].")";
            
            $r = $this->dbh->exec($sql);
        }
        
        return true;
    }
}
?>