<?php
require_once './DB.php';

$db = new db();
$QuizID = $_GET['QuizID'];
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Dodaj pitanje</title>
        <script>
            function generateAnswers() {
                var no = document.getElementById("questionNo").value;
                document.getElementById("qanda").innerHTML = "";
                var i = 0;
                var newinner = "<br>";
                for(i = 0; i < no; i++) {
                    newinner += "<input style=\"display: inline-block;\" type=\"text\" name=\"txt_" + i +"\">";
                    newinner += "<p style=\"display: inline-block;\">Tacan:</p>";
                    newinner += "<input style=\"display: inline-block;\" type=\"checkbox\" name=\"chk_" + i + "\">";
                    newinner += "<br>";
                }
                document.getElementById("qanda").innerHTML = newinner;
                
            }
        </script>
    </head>
    <body>
        <h1>Dodavanje pitanja i odgovora</h1>
        <a href="index.php">Povratak na pocetnu stranu</a>
        <form action="" method="get">
            <p style="display: inline-block;">Odaberite kviz:</p>
            <select name="quizzes">
                <?php
        $allQ = $db->getAllQuizes();
        foreach($allQ as $alq) {
            ?>
        <option <?php if($QuizID == $alq['ID']) { echo "selected=\"selected\"";} ?>><?php echo $alq['naziv'];?></option>
        <?php
        }
        ?>
            </select>
            <br>
        <p style="display: inline-block;">Tekst pitanja:</p>
        <input type="text" name="questionText">
        <br>
        <p style="display: inline-block;">Broj odgovora:</p>
        <input id="questionNo" onchange="generateAnswers()" type="number" name="noAnswers">
        <br>
        <span id="qanda">
        </span>
        <input type="hidden" value="<?php echo $QuizID;?>" name="QuizID">
        <input type="submit" name="submitNewQuestion" value="Dodaj pitanje">
        </form>
        <?php
        if(isset($_GET['submitNewQuestion'])) {
            $QuizID = $_GET['QuizID'];
            $questionTxt = $_GET['questionText'];
            $noAnswers = $_GET['noAnswers'];
            $answers = [];
            
            $i;
            for($i = 0; $i < $noAnswers; $i += 1) {
                $answers[] = ($_GET['txt_'.$i]."\$".((isset($_GET['chk_'.$i])) ? "1" : "0"));
            }
            
            $s = $db->insertNewQuestionAndAnswers($QuizID, $questionTxt, $answers);
        
            if($s == true) {echo "Uspesno ste dodali pitanje."; }
            
            }
        ?>
    </body>
</html>
