<?php

class klasa {
    const ime_baze='kviz';
    const host='localhost';
    const korisnik='root';
    const sifra='';
    
    private $dbh;
    
    public function __construct(){
        try{
            $string="mysql:host=".self::host.";dbname=".self::ime_baze;
            $this->dbh=new PDO($string,self::korisnik,self::sifra);
        } 
        catch (PDOException $ex) {
            echo "GRESKA ";
            echo $ex->getMessage();
        }
    }
    
    public function __destruct() {
        $this->dbh=null;
    }
    
    public function dajKvizove(){
        $sql="SELECT * FROM kvizovi";
        $pdo= $this->dbh->query($sql);
        $niz=$pdo->fetchAll(PDO::FETCH_ASSOC);
        
        return $niz;
    }
            
    public function dajPitanja($id){
        $sql="SELECT * FROM pitanja WHERE ID_kviza=$id";
        $pdo= $this->dbh->query($sql);
        $niz=$pdo->fetchAll(PDO::FETCH_ASSOC);
        
        return $niz;
    } 
    
    public function dajOdgovore($id_pitanja){
        $sql="SELECT * FROM odgovori WHERE ID_pitanja=$id_pitanja";
        $pdo= $this->dbh->query($sql);
        $niz=$pdo->fetchAll(PDO::FETCH_ASSOC);
        
        return $niz;
    }
    
    public function izbrisiPitanje($id_pitanja){
        $sql="DELETE FROM odgovori WHERE ID_pitanja=$id_pitanja";
        $pdo= $this->dbh->exec($sql);
        
        $sql="DELETE FROM pitanja WHERE ID=$id_pitanja";
        $pdo= $this->dbh->exec($sql);
    }
    
    public function dodajPitanje($kviz, $tekst){
        try{
            $sql="INSERT INTO pitanja(ID_kviza,tekst) VALUES($kviz,'$tekst')";
        $pdo= $this->dbh->exec($sql);
        
        return 1;
            
        } catch (Exception $ex) {
            return 0;
        }
        
    }
    
    public function poslednjePitanje(){
        $sql="SELECT * FROM pitanja";
        $pdo= $this->dbh->query($sql);
        $niz=$pdo->fetchAll(PDO::FETCH_ASSOC);
        
        return $niz[count($niz)-1];
    }
    
    public function dodajOdgovor($kviz, $odg, $tacno){
        $pitanje=$this->poslednjePitanje();
        $p=$pitanje['ID'];
        if($tacno){
            $sql="INSERT INTO odgovori(ID_pitanja,tekst,tacan_odgovor) VALUES($p,'$tekst',1)";
             $pdo= $this->dbh->exec($sql);
        }
    }
    
}
