<?php
    require_once './database.php';
    $db = new database();
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <link href="style.css" rel="stylesheet" type="text/css">
    </head>
    <body>
        
        <!-- POCETAK PRIKAZA KVIZOVA -->
        <div id="kvizovi">
            <p><b>Kvizovi:<b></p><br><hr>       
            <?php
                $kvizovi = $db->dajKvizove();
                $prikazKvizova = "";
                foreach ($kvizovi as $kviz) {
                    
                    $prikazKvizova .= "<a href='index.php?".$kviz['ID']."=".$kviz['ID']."'>".$kviz["naziv"];
                    if(isset($_GET[$kviz['ID']]) && $_GET[$kviz['ID']] == $kviz['ID'] )
                    {
                        $prikazKvizova .= "</a><a> (izabran)</a><br>";
                    }
                    else
                    {
                        $prikazKvizova .= "</a><br>";
                    }
                }
                echo $prikazKvizova;
            ?>
        </div>
        <!-- KRAJ PRIKAZA KVIZOVA -->

        <!-- POCETAK PRIKAZA PITANJA -->
        <div id="pitanja">
            <p><b>Pitanja za izabrani kviz:<b></p>
            <a href="dodajPitanje.php"><button>Dodaj pitanje</button></a>
            <hr>       
            <?php
                foreach ($kvizovi as $kviz) {
                    if(isset($_GET[$kviz['ID']]))
                    {
                        $prikazPitanja = "";
                        $izabraniKviz = $_GET[$kviz['ID']];
                        $pitanja = $db->dajPitanjaZaKviz($izabraniKviz);
                        foreach ($pitanja as $pitanje) {
                            $prikazPitanja .= "<a href='brisiPitanje.php?pitanjeID=".$pitanje['ID']."&kviz=".$izabraniKviz."'><button><span style='color=red;'>X</span></button></a>"
                                    . "<a href='index.php?".$izabraniKviz."=".$izabraniKviz."&pitanje=".$pitanje['ID']."'>".$pitanje["tekst"]."</a>";
                                                if(isset($_GET['pitanje']) && $_GET['pitanje'] == $pitanje['ID'] )
                                                {
                                                    $prikazPitanja .= "<a> (izabran)</a><br>";
                                                }
                                                else
                                                {
                                                    $prikazPitanja .= "<br>";
                                                }
                        }
                        echo $prikazPitanja;
                    }
                }
               
            ?>
        </div>
        <!-- KRAJ PRIKAZA PITANJA -->
                
        <!-- POCETAK PRIKAZA ODGOVORA -->
        <div id="odgovori">
            <p><b>Odgovori za izabrano pitanje:<b></p><br>
            <hr>       
            <?php
                if(isset($_GET['pitanje']))
                {
                    $idPitanja = $_GET['pitanje'];
                    $odgovori = $db->dajSveOdgovore($idPitanja);
                    foreach ($odgovori as $odgovor) {
                        if($odgovor['tacan_odgovor'] == TRUE)
                        {
                            echo "<p>".$odgovor['tekst']."(tacno)</p>";
                        }
                        else
                        {
                            echo "<p>".$odgovor['tekst']."</p>";
                        }
                    }
                }
            ?>
        </div>
        <!-- KRAJ PRIKAZA ODGOVORA -->
        
        
    </body>
</html>
