<?php
class Odgovor {
    public $tekst;
    public $tacan;
}

class KvizDB{
    const host = "localhost";
    const dbname = "kviz";
    const user="root";
    const pass="";
    
    private $dbh;

    function __construct(){
        try{
            $str = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh = new PDO($str, self::user, self::pass);
        }catch (PDOException $e){
            echo "GRESKA <br>";
            echo $e;
            die();
        }
    }

    function __destruct(){
        $dbh = null;
    }

    function getKvizovi(){
        $sql = "select * from kvizovi";
        $query = $this->dbh->query($sql);
        return $query->fetchAll(PDO::FETCH_ASSOC);
    }

    function getPitanja($kvizID){
        $sql = "select * from pitanja where ID_kviza=$kvizID";
        $query = $this->dbh->query($sql);

        return $query->fetchAll(PDO::FETCH_ASSOC);
    }

    function getOdgovori($pitanjeID){
        $sql = "select * from odgovori where ID_pitanja=$pitanjeID";
        $query = $this->dbh->query($sql);

        return $query->fetchAll(PDO::FETCH_ASSOC);
    }

    function deletePitanje($pID){
        try{
            $sql = "delete from pitanja where ID=:pID;";
            $query = $this->dbh->prepare($sql);
            $query->bindParam('pID',$pID);
            $query->execute();

            $sql = "delete from odgovori where ID_pitanja=:pID;";
            $query = $this->dbh->prepare($sql);
            $query->bindParam('pID',$pID);
            $query->execute();

            return true;
        }catch(PDOException $e){
            echo $e;
            die();
        }

        return false;
    }

    function getPitanjeID($kvizID, $tekst){
        $sql = "select ID from pitanja where ID_kviza = $kvizID and tekst='$tekst'";
        $query = $this->dbh->query($sql);

        return $query->fetch(PDO::FETCH_ASSOC)['ID'];
    }

    function addPitanje($kvizID, $tekstP, $brOdg, $odgovori){

        $sql = "insert into pitanja (ID_kviza, tekst) values (:ID_kviza, :tekst);";
        $cmd = $this->dbh->prepare($sql);
        $cmd->bindParam(":ID_kviza", $kvizID);
        $cmd->bindParam(":tekst", $tekstP);
        $res = $cmd->execute();
        if($res){
            try{
                $idPitanja = $this->getPitanjeID($kvizID, $tekstP);
                foreach($odgovori as $odg){
                    $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values (".$idPitanja.", '".$odg->tekst."', ".$odg->tacan.");";
                    $cmd = $this->dbh->exec($sql);
                }
            }catch(PDOException $e){
                echo $e;
                die();
            }
        }else{
            echo "<script> alert('BAD QUESTION: [$res]'); </script>";
            die();;
        }

        return true;
    }

}
?>