<?php
session_start();
require_once 'db.php';
$db = new KvizDB();

if(isset($_GET['delete'])){
    $db->deletePitanje($_GET['delete']);
}

$kvizID = -1;
if(isset($_GET['kviz'])){
    $kvizID = $_GET['kviz'];
    $_SESSION['kviz'] = $kvizID;
}elseif(isset($_SESSION['kviz'])){
    $kvizID = $_SESSION['kviz'];
}

$pID = -1;
if(isset($_GET['pitanje'])){
    $pID = $_GET['pitanje'];
    $_SESSION['pID'] = $pID;
}elseif(isset($_SESSION['pID'])){
    $pID = $_SESSION['pID'];
}

?>
<head>
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<div class="box" id="div1">
<h4>Kvizovi:</h4>
<?php
$kvizovi = $db->getKvizovi();
foreach($kvizovi as $kviz){
    echo "<a href='index.php?kviz=".$kviz['ID']."'>";
    echo $kviz['naziv'];
    echo "</a>";
    if($kvizID==$kviz['ID']){
        echo " (Izabran)";
    }
    echo "<br>";
}
?>
</div>
<div class="box" id="div2">
<h4>Pitanja za izabrani kviz:<input type="button" value="Dodaj pitanje" onclick="window.location.replace('dodaj.php');"></h4>

<?php
if($kvizID!=-1){
    $pitanja = $db->getPitanja($kvizID);
    foreach($pitanja as $p){
        echo "<a href='index.php?delete=".$p['ID']."'><input type='submit' value='X'>";

        echo "<a href='index.php?kviz=".$kvizID."&pitanje=".$p['ID']."'>";
        echo $p['tekst'];
        echo "</a>";
        if($pID==$p['ID']){
            echo " (Izabrano)";
        }
        echo "<br>";
    }
}
?>
</div>
<div class="box" id="div3">
<h4>Odgovori za izabrano pitanje:</h4>
<?php
if($pID!=-1){
    $odgovori = $db->getOdgovori($pID);
    foreach($odgovori as $o){
        echo "<p>";
        echo $o['tekst'];
        if($o['tacan_odgovor']){
            echo " (Tacno)";
        }
        echo "</p>";
        echo "<br>";
    }
}
?>
</div>
</body>