<?php
    require_once './Db.php';
    $db = new Db();
    
    $quizs = $db->getAllQuizs();
    
    if(isset($_GET['idKviza'])) {
        $idQz = $_GET['idKviza'];
        header("Location: index.php?dodajButton&idQuiz=".$idQz);
    }
    
    if(isset($_GET['idPitanja'])) {
        $idQu = $_GET['idPitanja'];
        $idQz = $_GET['kviz_id'];
        header("Location: index.php?idQuiz=".$idQz."&idQuestion=$".$idQu);
    }
    
    if(isset($_GET['idP'])) {
        $db->deleteAnswersForQuestionID($_GET['idP']);
        $db->deleteQuestionForID($_GET['idP']);
    }
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Kviz</title>
        <style>
            #container {
                width: 100%;
            }
            #d1 {
                width: 32%;
                height: 400px;
                border: 1px solid black;
                float: left;
            }
            #d2 {
                width: 32%;
                height: 400px;
                border: 1px solid black;
                float: left;
                margin-left: 2%;
            }
            #d3 {
                width: 32%;
                height: 400px;
                border: 1px solid black;
                float: right;
            }
        </style>
    </head>
    <body>
        <div id="container">
            <div id="d1">
                <h2>Kvizovi</h2>
                <br><br>
                <hr>
                <?php
                    foreach($quizs as $quiz) {
                        //echo "<a href='index.php?idKviza=".$quiz['ID']."'>".$quiz['naziv']."</a><br>";
                ?>
                <a href="index.php?idKviza=<?php echo $quiz['ID']; ?>"><?php echo $quiz['naziv']; ?></a>
                <?php if(isset($_GET['idQuiz']) && $_GET['idQuiz'] == $quiz['ID']) echo "(izabran)"; ?>
                <br>
                <?php
                    }
                ?>
            </div>
            <div id="d2">
                <h2>Pitanja za izabrani kviz</h2>
                <br><br>
                <?php
                    if(isset($_GET['dodajButton']) && isset($_GET['idQuiz'])) {
                ?>
                <form method="get" action="dodaj.php?idK=<?php echo $_GET['idQuiz']; ?>">
                    <input type="submit" name="dodaj" value="Dodaj pitanje">
                </form>
                <?php
                    }
                ?>
                <hr>
                <?php
                    if(isset($_GET['idQuiz'])) {
                        $quizID = $_GET['idQuiz'];
                        $questions = $db->getQuestionsForQuizID($quizID);
                        foreach($questions as $question) {
                            //echo "<button style='color:red'>X</button>";
                            //echo "<a href='index.php?idPitanja&idKviza=".$question['ID']."'>".$question['tekst']."</a><br>";
                ?>
                <button id="<?php echo $question['ID']; ?>" style="color:red" onclick="obrisi(id)">X</button>
                <a href="index.php?kviz_id=<?php echo $quizID; ?>&idPitanja=<?php echo $question['ID']; ?>"><?php echo $question['tekst'] ?></a>
                <?php if(isset($_GET['idQuestion']) && $_GET['idQuestion'] == $question['ID']) echo "(izabrano)"; ?>
                <br>
                <?php
                        }
                    }
                ?>
            </div>
            <div id="d3">
                <h2>Odgovori za izabrano pitanje</h2>
                <br><br>
                <hr>
                <?php
                    if(isset($_GET['idQuestion'])) {
                        $questionID = $_GET['idQuestion'];
                        $answers = $db->getAnswersForQuestionID($questionID);
                        foreach($answers as $answer) {
                ?>
                <p><?php echo $answer['tekst']; if($answer['tacan_odgovor']) echo "<b>(tacno)</b>"; ?></p>
                <?php
                        }
                    }
                ?>
            </div>
        </div>
    </body>
    <script>
        function obrisi(id) {
            document.location("index.php?idP="+id);
        }
    </script>
</html>
