<?php

class DB
{
    const hostname = "localhost";
    const dbname = "kviz";
    const username = "root";
    const password = "";
    
    private $dbh;
    
    function __construct() {
        try {
            $connStr = "mysql:host=".self::hostname.";dbname=".self::dbname;
            $this->dbh = new PDO($connStr, self::username, self::password);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function __destruct() {
        $this->dbh = null;
    }
    
    function dajSveKvizove()
    {
        try {
            $sql = "select * from kvizovi";
            $upit = $this->dbh->query($sql);
            return $upit->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function dajPitanjaPoKvizu($id)
    {
        try {
            $sql = "select * from pitanja where ID_kviza = $id";
            $upit = $this->dbh->query($sql); 
            return $upit->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function dajSveOdgovrePoPitanju($id)
    {
        try {
            $sql = "select * from odgovori where ID_pitanja = $id";
            $upit = $this->dbh->query($sql); 
            return $upit->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function obrisiPitanje($id)
    {
        try {
            $sql = "delete from pitanja where ID = $id";
            $upit = $this->dbh->exec($sql);
            $sql = "delete from odgovori where ID_pitanja = $id";
            $upit = $this->dbh->exec($sql);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function dodajPitanje($id, $tekst)
    {
        try {
            $sql = "insert into pitanja(ID_kviza, tekst) values($id, '$tekst')";
            $upit = $this->dbh->exec($sql);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function dodajOdgovor($id, $tekst, $t)
    {
        try {
            $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values($id, '$tekst', $t)";
            $upit = $this->dbh->exec($sql);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
    
    function dajIdPitanja($id, $tekst)
    {
        try {
            $sql = "select * from pitanja where ID_kviza = $id and tekst = '$tekst'";
            $upit = $this->dbh->query($sql); 
            return $upit->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die($ex->getMessage());
        }
    }
}


?>

