<?php

require_once 'db.php';
$db = new DB();

$kvizovi = $db->dajSveKvizove();
$poruka1 = "";
$poruka2 = "";
$poruka3 = "";

if(isset($_GET['dodaj']))
{
    $poruka1 = "";
    $poruka2 = "";
    if(trim($_GET['tekst']) == "" || trim($_GET['odg']) == "")
    {
        $poruka1 = "Popunite sva polja";
    }
    else
    {
        $broj = $_GET['odg'];
        $cb = 0;
        for ($i = 0; $i < $broj; $i++)
        {
            if(trim($_GET['tb_'.$i]) == "")
            {
                $poruka1 = "Popunite sva polja";
            }
            if(isset($_GET['cb_'.$i]))
            {
                $cb = $cb + 1;
            }
        }
        
        if($cb==0)
        {
            $poruka2 = "Cekirajte barem jedan tacan odgovor";
        }
    }
    
    if($poruka1 == "" && $poruka2 == "")
    {
        $db->dodajPitanje($_GET['idKviza'], $_GET['tekst']);
        $poruka3 = "Uspesno ste dodali pitanje!";
        
        $broj = $_GET['odg'];
        for ($i = 0; $i < $broj; $i++)
        {
            $tekst = $_GET['tb_'.$i];
            if (isset($_GET['cb_'.$i]))
            {
                $cb = true;
            }
            else {
                $cb = false;
            }
            //$pitanje = $db->dajIdPitanja($_GET['idKviza'], $_GET['tekst'])['ID'];
            //echo $pitanje;
            //$db->dodajOdgovor($pitanje, $tekst, $cb);
        }
    }
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Kviz</title>
    </head>
    <body>
        <h1>Dodavanje pitanja i odgovora</h1>
        <a href="index.php">Povratak na pocetnu stranu</a><br /><br />
        <form>
        Odaberite kviz: 
        <select name="idKviza">
            <?php
            foreach ($kvizovi as $kviz) {
             ?>
            <option value="<?php echo $kviz['ID']; ?>" <?php if($_GET['idKviza'] == $kviz['ID']) echo 'selected'; ?>><?php echo $kviz['naziv'];?></option>
            <?php
            }
            ?>
        </select>
        <br /><br />
        Tekst pitanja: <input type="text" name="tekst" placeholder="tekst pitanja" /><br /><br />
        Broj odgovora: <input type="number" name="odg" placeholder="broj odgovora  " onchange="dodajOdg(this)" ><br /><br />
        <div id="odgovori">
            
        </div>
        <br />
        <input type="submit" name="dodaj" value="Dodaj pitanje">
        </form>
        <?php echo "<p style='color: red'>".$poruka1."</p>"; ?>
        <?php echo "<p style='color: red'>".$poruka2."</p>"; ?>
        <?php echo "<p>".$poruka3."</p>"; ?>
    </body>
    
    <script>
        function dodajOdg(polje)
        {
            var broj = polje.value;
            //alert(broj);
            var string = "";
            for(i = 0; i < broj; i++)
            {
                string += "<input type='text' name=tb_"+i+" > Tacan <input type='checkbox' name=cb_"+i+"><br />";
            }
            
            document.getElementById("odgovori").innerHTML = string;
        }
    </script>
</html>
