<?php

require_once 'db.php';
$db = new DB();

$kvizovi = $db->dajSveKvizove();

if(isset($_GET['obrisi']))
{
    $db->obrisiPitanje($_GET['idPitanja']);
    header("Location:index.php?idKviza=".$_GET['idKviza']);
}

if(isset($_GET['dodaj']))
{
    header("Location:dodaj.php?idKviza=".$_GET['idKviza']);
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Kviz</title>
    </head>
    <body>
        
        <div style="border: 1px solid black; width: 400px; height: 500px; float: left;">
            <h2>Kvizovi:</h2>
            <br />
            <hr />
            <?php
            foreach ($kvizovi as $kviz) {
            ?>
            <a href="index.php?idKviza=<?php echo $kviz['ID'];?>"><?php echo $kviz['naziv'] ?></a>
            <?php
                if(isset($_GET['idKviza']) && $_GET['idKviza'] == $kviz['ID'])
                {
                    echo '(<b>izabran</b>)';
                }
            ?>
            <br />
            <?php
            }
            ?>
        </div>
        
        <div style="border: 1px solid black; width: 440px; height: 500px; float: left;">
            <h2>Pitanja za izabrani kviz:</h2>
            <?php
                if(isset($_GET['idKviza']))
                {
            ?>
            <a href="index.php?dodaj=&idKviza=<?php echo $_GET['idKviza'];?>"><input type="button" value="Dodaj pitanje"></a>
            <?php
                }
                else
                {
                    echo '<br />';
                }
            ?>
            <hr />
            <?php
                if(isset($_GET['idKviza']))
                {
                    $pitanja = $db->dajPitanjaPoKvizu($_GET['idKviza']);
                    foreach ($pitanja as $pitanje) {
                    ?>
            <a href="index.php?obrisi=&idPitanja=<?php echo $pitanje['ID'];?>&idKviza=<?php echo $_GET['idKviza'];?>"><input type="button" value="<?php echo "X" ?>"></a>
                    
                    <a href="index.php?idKviza=<?php echo $_GET['idKviza'];?>&idPitanja=<?php echo $pitanje['ID'];?>"><?php echo $pitanje['tekst'] ?></a>
                    <?php
                        if(isset($_GET['idPitanja']) && $_GET['idPitanja'] == $pitanje['ID'])
                        {
                            echo '(<b>izabran</b>)';
                        }
                    ?>
                    <br />
            <?php
                    }
                }
            ?>
        </div>
        
        <div style="border: 1px solid black; width: 430px; height: 500px; float: right">
            <h2>Odgovori za izabrano pitanje:</h2>
            <br />
            <hr />
            <?php
                if(isset($_GET['idPitanja']))
                {
                    $odgovori = $db->dajSveOdgovrePoPitanju($_GET['idPitanja']);
                    foreach ($odgovori as $odgovor) {
              
                    echo $odgovor['tekst'];
                    if($odgovor['tacan_odgovor'] == true)
                    {
                        echo " (<b>tacno</b>)";
                    }
                    echo '<br />';
                    }
                }
            ?>
        </div>
        
        <?php
        // put your code here
        ?>
    </body>
</html>
