<?php

class db{
    
    const host='localhost';
    const dbname='kviz';
    const user='root';
    const pass='';
    
    private $dbh;
    
    public function __construct() {
        try{
            $string = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh = new PDO($string, self::user, self::pass);
        } catch (Exception $ex) {
            die("Greska pri konekciji sa bazom!");
        }
    }
    
    public function __destruct() {
        $this->dbh = null;
    }
    
    public function getKvizove() {
        try{
            $sql = "select * from kvizovi";
            $query = $this->dbh->query($sql);
            return $query->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die("Greska u getKvizovi!");
        }
    }
    
    public function getPitanjaPoKvizu($id)
    {
        try{
            $sql = "select * from pitanja where ID_kviza=$id";
            $query = $this->dbh->query($sql);
            return $query->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die("Greska u getPitanjaPoKvizu");
        }
    }
    
    public function getOdgovorePoPitanju($id)
    {
        try{
            $sql = "select * from odgovori where ID_pitanja=$id";
            $query = $this->dbh->query($sql);
            return $query->fetchAll(PDO::FETCH_ASSOC);
        } catch (Exception $ex) {
            die("Greska u getOdgovorePoPitanju");
        }
    }    
    public function obrisiPitanje($idPitanja)
    {
        try{
            
            $sql = "delete from pitanja where ID=$idPitanja";
            echo $sql;
            $this->dbh->exec($sql);
            $sql = "delete from odgovori where ID_pitanja=$idPitanja";
            $this->dbh->exec($sql);
        } catch (Exception $ex) {
            die("Greska u obrisiPitanje");
        }
    }
    
    public function dodajPitanje()
    {
        //dodaj.php?dodaj=1&selekt=1&tekstPitanja=asd&brojOdgovora=3
        //&odgovor_0=asd&odgovor_1=asd&cb_1=on&odgovor_2=asd
        
        try{
            $sql = "insert into pitanja (ID_kviza, tekst) values (".$_GET['selekt'].",'".$_GET['tekstPitanja']."');";
            $this->dbh->exec($sql);
            $sql = "select ID from pitanja where tekst='".$_GET['tekstPitanja']."'";
            $upit = $this->dbh->query($sql);
            $id = $upit->fetch(PDO::FETCH_ASSOC);//$id['ID']
            for($i=0; $i<$_GET['brojOdgovora']; $i++)
            {
                if(isset($_GET['cb_'.$i]))
                    $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values(".$id['ID'].", '".$_GET['odgovor_'.$i]."', 1)";
                else
                    $sql = "insert into odgovori(ID_pitanja, tekst, tacan_odgovor) values(".$id['ID'].", '".$_GET['odgovor_'.$i]."', 0)";
                $this->dbh->exec($sql);
            }
        } catch (Exception $ex) {
            die("Greska u dodavanju upita!");
        }
    }
}











?>

