<?php

require_once './db.php';

$db = new db();

$kvizovi = $db->getKvizove();
$pitanja;

if(isset($_GET['idKviza']))
{
    $pitanja = $db->getPitanjaPoKvizu($_GET['idKviza']);
}
$odgovori;
if(isset($_GET['idPitanja']))
{
    $odgovori = $db->getOdgovorePoPitanju($_GET['idPitanja']);
}

if(isset($_GET['obrisiPitanje']))
{
    $idPitanja=$_GET['obrisiPitanje'];
    $db->obrisiPitanje($idPitanja);
    header("Location: index.php?idKviza=".$_GET['idKviza1']);
}

if(isset($_GET['dodaj']))
{
    header("Location: dodaj.php?dodaj=".$_GET['dodaj']);
}
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <style>
            .klasa{
                display:flex;
            }
            .kolona{
                flex:30%;
                border: solid black 1px;
                padding:10px;
            }
            .midkolona{
                flex:4.5%;
            }
        
        </style>
    </head>
    <body>
        <div class="klasa">
            <div class="kolona">
                <h3>Kvizovi:</h3><br><hr>
                <?php
                    foreach($kvizovi as $kviz)
                    {
                        if(isset($_GET['idKviza']) && $_GET['idKviza'] == $kviz['ID'])
                            echo "<a href='index.php?idKviza=".$kviz['ID']."'>".$kviz['naziv']."</a>(izabran)<br>";
                        else
                            echo "<a href='index.php?idKviza=".$kviz['ID']."'>".$kviz['naziv']."</a><br>";
                    }
                ?>
            </div>
            <div class="midkolona"></div>
            <div class="kolona">
                <h3>Pitanja za izabrani kviz:</h3><br>
                <?php 
                    if(isset($_GET['idKviza']))
                    {
                ?>  
                    <form name="dodajForma">
                        <input type="hidden" name="dodaj" value="<?php echo $_GET['idKviza']?>">
                        <input type="submit" value='Dodaj pitanje'>
                    </form>
                    
                    <?php
                    }
                    ?><hr>
                <?php
                    if(isset($_GET['idKviza']))
                    {
                        foreach($pitanja as $p)
                        {
                            echo "<form name='form_".$p['ID']."' style='display:inline'><input type='hidden' name='obrisiPitanje' value='".$p['ID']."'><input type='hidden' name='idKviza1' value=".$_GET['idKviza']."><input type='submit' name='btn' value='X' style='font-color:red'></form>";
                            if(isset($_GET['idPitanja']) && $_GET['idPitanja'] == $p['ID'])
                                echo "<a href='index.php?idKviza=".$_GET['idKviza']."&idPitanja=".$p['ID']."'>".$p['tekst']."</a>(Izabrano)<br>";
                            else
                                echo "<a href='index.php?idKviza=".$_GET['idKviza']."&idPitanja=".$p['ID']."'>".$p['tekst']."</a><br>";
                        }
                    }
                ?>
            </div>
            <div class="midkolona"></div>
            <div class="kolona">
                <h3>Odgovori za izabrano pitanje:</h3><br><hr>
                <?php
                    if(isset($_GET['idPitanja']))
                    {
                        foreach($odgovori as $o)
                        {
                            if($o['tacan_odgovor'] == 1)
                                echo $o['tekst']."(tacno)<br>";
                            else
                                echo $o['tekst']."<br>";
                        }
                    }
                
                
                ?>
            </div>
        </div>
        
        
        
        
        <?php
        // put your code here
        ?>
    </body>
</html>
