<?php
class db{
    const host="localhost";
    const user="root";
    const pass="";
    const dbname="kviz";
    
    private $dbh;
    public function __construct() {
        try {
            
        $connString="mysql: host=".self::host."; dbname=".self::dbname;
        $this->dbh=new PDO($connString, self::user, self::pass);
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }
    public function __destruct() {
        $this->dbh=NULL;
    }
    public function dajSveKvizove()
    {
        $sql="select * from kvizovi";
        $res= $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    public function dajPitanjaByKvizID($id)
    {
        $sql="select * from pitanja where ID_kviza=$id";
        $res= $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
     public function dajOdgovoreByPitanjeID($id)
     {
        $sql="select * from odgovori where ID_pitanja=$id";
        //die($sql);
        $res= $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    public function ubaci_pitanje($id_kviza,$tekst)
    {
        $sql="insert into pitanja(ID_kviza,tekst) values(:id_kviza,:tekst)";
        $res=$this->dbh->prepare($sql);
        $res->bindParam(":id_kviza", $id_kviza);
        $res->bindParam(":tekst", $tekst);
        $res->execute();
       
    }    
    public function obrisiPitanje($id_pitanja,$kvizID)
    {
        $sql="delete from pitanja where ID=$id_pitanja and ID_kviza=$kvizID" ;
        $res=$this->dbh->exec($sql);
       
    }
    public function obrisiOdgovore($idpitanja)
    {
        $sql="delete from odgovori where ID_pitanja=$idpitanja " ;
        $res=$this->dbh->exec($sql);   
    }
}

    
?>
