<?php
    require_once './db.php';
    $db = new Db();
    $kvizovi = $db->DajSveKvizove();
    
    $s = "";
    
    if(isset($_GET['dodavanje']))
    {
        
        $db->DodajPitanje($_GET['kviz'], $_GET['pitanje']);
        
        $pitanje = $db->dajPitanjeZaTekst( $_GET['kviz'], $_GET['pitanje']);
        
        for($i = 0; $i < $_GET['broj_odgovora']; $i++)
        {
            if(isset($_GET['cb_'.$i]))
                $db->DodajOdgovor($pitanje['ID'], $GET['"odg_'.$i.'"'], 1);
            else {
                $db->DodajOdgovor($pitanje['ID'], $GET['"odg_'.$i.'"'], 0);
            }
        }
        
        $s= "Uspesno ste dodali pitanje!";
    }
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <h1>Dodavanje pitanja i odgovora</h1>
        <a href="index.php">Povratak na pocetnu stranu</a><br /><br /><br/>
        
        <form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
        Odaveri kviz:
        <select name="kviz">
        <?php
        foreach ($kvizovi as $kviz) {
            ?>
            <option value="<?php echo $kviz['ID']; ?>"<?php if(isset($_GET['idKviza']) && $_GET['idKviza'] == $kviz["ID"]) echo "selected"; ?>><?php echo $kviz['naziv']; ?></option>
            <?php
        }
        ?>
        </select>
        <br /><br/>
        Tekst pitanja: <input type="text" name="pitanje" /><br/><br/>
        Broj odgovora: <input id="brojOdgovora" type="number" name="broj_odgovora" onchange="dodajPoljaZaOdgovor();">
        <br />
        <span id="ovde">
            
        </span>
        
        <br/>
        <br />
        <input type="submit" name="dodavanje" value="Dodaj pitanje" />
        </form>
        
        <?php
            echo $s;
        ?>
    </body> 
    
    <script>
        function dodajPoljaZaOdgovor()
        {
            var brojOdgovora = document.getElementById("brojOdgovora").value;
            var gde = document.getElementById("ovde");
            
            if(brojOdgovora >= 0)
            {
            s = "";
            
            for (var i = 0; i < brojOdgovora; i++) {
                s += "<input type='text' name='odg_"+i+"' />";
                s += "Tacan <input type='checkbox' name='cb_"+i+"'><br />";
            }
            
            gde.innerHTML = s;
            }
            else
            {
                alert("Broj pitanja mora biti pozitivan");
            }
        }
    </script>
</html>