<?php
class Db{
    const host = "localhost";
    const dbname = "kviz";
    const user = "root";
    const pass = "";
    
    private $dbh;
    
    function __construct() {
        try{
            $string = "mysql:host=".self::host.";dbname".self::dbname;
            $this->dbh = new PDO($string, self::user, self::pass);
        }
        catch(PDOException $e){
            die($e->getMessage());
        }
    }
    
    function __destruct() {
        $this->dbh = null;
    }
    
    public function dajSveKvizove(){
        $sql = "select * from kvizovi;";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajSvaPitanja(){
        $sql = "select * from pitanja";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajSveOdgovore(){
        $sql = "select * from odgovori";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajPitanjaZaKviz($id){
        $sql = "select * from pitanja where ID_kviza=$id";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function obrisiPitanje($id){
        $sql = "delete from pitanja where ID=$id";
        $this->dbh->exec($sql);
   
        $sql = "delete from odgovori where ID_pitanja = $id";
        $this->dbh->exec($sql);
    }
    
    public function dodajPitanje($id, $tekst){
        $sql = "insert into pitanja values($id, '$tekst')";
        $this->dbh->exec($sql);
        
        $sql = "select * from pitanja where ID_kviza=$id and tekst='$tekst'";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function dodajOdgovor($id, $tekst, $tacan){
        $sql = "insert into odgovori values($id, '$tekst', $tacan)";
        $this->dbh->exec($sql);
    }
    
    public function dajOdgovoreZaPitanje($id){
        $sql = "select * from odgovori where ID_pitanja=$id";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
}
?>
