<?php
require_once 'db.php';
$db = new Db();

$kvizovi = $db->dajSveKvizove();
$pitanja = $db->dajSvaPitanja();
$odgovori = $db->dajSveOdgovore();

if(isset($_GET['delete'])){
    $idPitanja = $_GET['idP'];
    $db->obrisiPitanje($idPitanja);
    header("Location: index.php?kviz=".$_GET['idK']);
}

if(isset($_GET['add'])){
    header("Location: add.php?kvizAdd=".$_GET['idKviza']);
}
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <style>
            body{
                text-align: center;
            }
            
            #container {
                display: flex;
                
            }
            
            .box {
                border: 2px solid black;
                margin: auto;
                padding: auto;
                width: 30vw;
            }
            
        </style>
            
    </head>
    <body>
        <div id="container">
            <div id="kvizovi" class="box">
                <h3>Kvizovi:</h3>
                <br><br>
                <?php
               foreach ($kvizovi as $kviz){
                    echo "<a href=index.php?kviz=".$kviz['ID'].">".$kviz['naziv']."</a><span id='span_'".$kviz['id']."></span><br>";
                } 
                ?>
            </div>
            <div id="pitanja" class="box">
                <h3>Pitanja za izabrani kviz:</h3>
                <br><br>
                <?php
                    if(isset($_GET['kviz'])){?>
                    <form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
                             <input type="hidden" name="idKviza" value="<?php echo $_GET['kviz']; ?>" >
                             <input type="submit" name="add" value="Dodaj pitanje">
                    </form>
                       <?php
                       $kvizPitanja = $db->dajPitanjaZaKviz($_GET['kviz']);
                       foreach ($kvizovi as $kviz){
                           echo "<script>document.getElementById('span_".$kviz['ID']."').innerHTML = '';</script>";
                       }
                       foreach ($kvizPitanja as $pitanje){
                         ?>
                           <form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
                             <input type="hidden" name="idP" value="<?php echo $pitanje['ID']; ?>" >
                             <input type="hidden" name="idK" value="<?php echo $pitanje['ID_kviza']; ?>" >
                             <input type="submit" name="delete" value="X">
                           </form>
                           <a href=<?php echo "index.php?kviz=".$pitanje['ID_kviza']."&pitanje=".$pitanje['ID']; ?>><?php echo $pitanje['tekst']?></a>
                           <span id="<?php echo 'span_p_'.$pitanje['ID']; ?>"></span><br>
                       <?php
                       
                       }
                       echo "<script>document.getElementById('span_".$_GET['kviz']."').innerHTML = '(izabrano)';</script>";
                    }
                ?>
            </div>
            <div id="odgovori" class="box">
                <h3>Odgovori za izabrano pitanje:</h3>
                <br><br>
                <?php
                    if(isset($_GET['pitanje'])){
                       $pitanjaOdgovori = $db->dajOdgovoreZaPitanje($_GET['pitanje']);
                       $kvizID = $_GET['kviz'];
                       foreach ($pitanja as $pitanje){
                           if($pitanje['ID_kviza'] == $kvizID){
                                echo "<script>document.getElementById('span_p_".$pitanje['ID']."').innerHTML = '';</script>";
                           }
                        }
                       foreach ($pitanjaOdgovori as $odgovor){
                         ?>
                           <a href=<?php echo "index.php?kviz=".$kvizID."&pitanje=".$odgovor['ID_pitanja']."&odgovor=".$odgovor['ID']; ?>><?php echo $odgovor['tekst']?></a>
                           <span id="<?php echo 'span_o_'.$odgovor['ID']; ?>"></span><br>
                       <?php
                       
                       }
                       echo "<script>document.getElementById('span_p_".$_GET['pitanje']."').innerHTML = '(izabrano)';</script>";
                    }
                    
                    if(isset($_GET['odgovor'])){
                        $pitanjeID = $_GET['pitanje'];
                        foreach ($odgovori as $odgovor){
                           if($odgovor['ID_pitanja'] == $pitanjeID){
                                echo "<script>document.getElementById('span_o_".$odgovor['ID']."').innerHTML = '';</script>";
                           }
                        }
                        if($odgovor['tacan_odgovor'])
                            echo "<script>document.getElementById('span_o_".$odgovor['ID']."').innerHTML = '(tacno)';</script>";
                        else
                            echo "<script>document.getElementById('span_o_".$odgovor['ID']."').innerHTML = '(netacno)';</script>";
                    }
                ?>
            </div>
        </div>
    </body>
</html>
