<?php

    class Db
    {
        const host = 'localhost';
        const db = 'kviz';
        const user = 'root';
        const pass = '';
        private $dbh;
        public function __construct() {
            $connection_string = "mysql:host=".self::host.";dbname=".self::db;
            $this->dbh = new PDO($connection_string, self::user, self::pass);
        }
        
        public function __destruct() {
            $this->dbh = null;
        }
        
        public function dajSveKvizove()
        {
            $sql = "SELECT * FROM kvizovi";
            
            $res = $this->dbh->query($sql);
            
            $rows = $res->fetchAll(PDO::FETCH_ASSOC);
            $kvizovi = [];
            foreach ($rows as $row) {
                $kviz['ID'] = $row['ID'];
                $kviz['naziv'] = $row['naziv'];
                
                $kvizovi[] = $kviz;
            }
            
            return $kvizovi;
        }
        
        public function dajPitanjaZaKviz($id)
        {
            $sql = "SELECT * FROM pitanja WHERE ID_kviza='$id'";
            
            $res = $this->dbh->query($sql);
            $rows = $res->fetchAll(PDO::FETCH_ASSOC);
            $pitanja = [];
            
            foreach ($rows as $row) {
                $pitanje['ID'] = $row['ID'];
                $pitanje['ID_kviza'] = $row['ID_kviza'];
                $pitanje['tekst'] = $row['tekst'];
                
                $pitanja[] = $pitanje;
            }
            return $pitanja;
        }
        
        public function dajOdgovoreNaIzabranaPitanja($id)
        {
            $sql = "SELECT * FROM odgovori WHERE ID_pitanja='$id'";
            
            $res = $this->dbh->query($sql);
            $rows = $res->fetchAll(PDO::FETCH_ASSOC);
            $odgovori = [];
            
            foreach ($rows as $row) {
                $odgovor['ID'] = $row['ID'];
                $odgovor['ID_pitanja'] = $row['ID_pitanja'];
                $odgovor['tekst'] = $row['tekst'];
                $odgovor['tacan_odgovor'] = $row['tacan_odgovor'];
                
                $odgovori[] = $odgovor;
            }
            return $odgovori;
        }
        
        
        
        
        public function obrisiPitanje($id)
        {
            $sql = "DELETE FROM pitanja WHERE ID='$id'";
            
            $this->dbh->exec($sql);
            //$this->dbh->query($sql);
        }
        
        public function obriziOdgovoreZaPitanje($id)
        {
            $sql = "DELETE FROM odgovori WHERE ID_pitanja='$id'";
            
            $this->dbh->exec($sql);
            //$this->dbh->query($sql);
        }
        
        public function dodajPitanje($id_kviza, $tekst)
        {
            try{
                $sql = "INSERT INTO pitanja(ID_kviza, tekst)"
                        . "VALUES('$id_kviza', '$tekst')";

                $pdo_exp = $this->dbh->exec($sql);

                return true;
            }
            catch(PDOException $e)
            {
                echo "Error:".$e->getMessage();
                return false;
            }
        }
        
        public function dodajOdgovore($id_kviza, $tekst, $tacan_odgovor)
        {
            $sql = "INSERT INTO odgovori(ID_pitanja, tekst, tacan_odgovor)"
                    . "VALUES('$id_kviza', '$tekst', '$tacan_odgovor')";
            
            $this->dbh->exec($sql);
        }
    }

