<!DOCTYPE html>
<?php
#DB DEO
require_once 'DBKvizovi.php';
$db_kviz = new DBKvizovi();
$kvizovi = $db_kviz->fetchAllKviz();
$selectedKviz = null;
$questions = null;
if(isset($_GET['kviz_id']))
{
    $selectedKviz=$db_kviz->fetchKvizById($_GET['kviz_id']);
    $questions=$db_kviz->fetchAllQuestionsByKviz($_GET['kviz_id']);
    
}
$odgovori=null;
if(isset($_GET['question_id']))
{
    $odgovori = $db_kviz->fetchAllOdgovoriByPitanje($_GET['question_id']);
}
if($questions!=null)
{
    foreach($questions as $question)
    {
        if(isset($_GET['delete_'.$question['ID']]))
        {
                $db_kviz->deletePitanje ($question['ID']);
                header("location:index.php?kviz_id=".$selectedKviz['ID']);
                
        }
    }
}


?>


<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <div style="padding:20px; margin:10px; float:left; width:250px;border:1px solid black;">
            <p style="font-weight: bold">Kvizovi:</p>
            <hr>
            <?php
                foreach($kvizovi as $kviz)
                {
                    if(isset($_GET['kviz_id']) && $_GET['kviz_id']==$kviz['ID'])
                        echo "<a href='index.php?kviz_id=".$kviz['ID']."'>".$kviz['naziv']."</a><span style='font-weight:bold;'>(izabrano)</span><br>";
                    else
                         echo "<a href='index.php?kviz_id=".$kviz['ID']."'>".$kviz['naziv']."</a><br>";
                }
            ?>
            
            
            
            
            
        </div>
        <div style="padding:20px; margin:10px;float:left; width:250px;border:1px solid black;">
            <p style="font-weight: bold">Pitanja za izabrani kviz:</p>
            <?php
                if(isset($_GET['kviz_id']))
                {
                    echo "<button onclick='dodajPitanje(".$_GET['kviz_id'].")'>Dodaj pitanje</button>";
                }
            
            
            ?>
            <hr>
            <?php
            if($questions!=null)
            {
                foreach($questions as $question)
                {
                    echo "<button style='color:red' onclick='izbrisiPitanje(".$question['ID'].",".$selectedKviz['ID'].")'>X</button>";
                    if(isset($_GET['question_id']) && $_GET['question_id']==$question['ID'])     
                        echo "<a href='index.php?kviz_id=".$selectedKviz['ID']."&question_id=".$question['ID']."'>".$question['tekst']."</a><span style='font-weight:bold;'>(izabrano)</span><br>";
                    else
                        echo "<a href='index.php?kviz_id=".$selectedKviz['ID']."&question_id=".$question['ID']."'>".$question['tekst']."</a><br>";
                          
                }
                
            }
            ?>
        </div>
        <div style="padding:20px; margin:10px;float:left; width:250px;border:1px solid black;">
            <p style="font-weight: bold">Odgovori za izabrano pitanje:</p>
            <hr>
                <?php
                    if($odgovori!=null)
                    {
                        foreach($odgovori as $odgovor)
                        {
                            echo $odgovor['tekst'];
                            if($odgovor['tacan_odgovor']==1)
                                echo "<span style='font-weight:bold;'>(tacno)</span>";
                            echo "<br>";
                        }
                    }
                ?>
            
            
            
            
            
        </div>
        
    </body>
    <script>
        function dodajPitanje(x)
        {
            window.location = "DodajPitanje.php?kviz_id="+x;
        }
        function izbrisiPitanje(x,y)
        {
            window.location = "index.php?kviz_id="+y+"&delete_"+x+"=1";
        }
        
        
        </script>
</html>
