<?php

    class Db{
        const host = "localhost";
        const user = "root";
        const pass = "";
        const db = "kviz";
        
        public $dbh;
        
        function __construct() {
            try{
                $this->dbh = new PDO("mysql:host=".self::host.";dbname=".self::db, self::user, self::pass);
            } catch (Exception $ex) {
                die("Connection error");
            }
        }
        
        function __destruct() {
            $this->dbh = null;
        }
        
        function dajKvizove(){
            return $this->dbh->query("select * from kvizovi")->fetchAll(PDO::FETCH_ASSOC);
        }
        
        function dajPitanjaZaKviz($idK){
            return $this->dbh->query("select * from pitanja where ID_kviza=$idK")->fetchAll(PDO::FETCH_ASSOC);
        }
        
        function dajOdgovoreZaPitanje($idP){
            return $this->dbh->query("select * from odgovori where ID_pitanja=$idP")->fetchAll(PDO::FETCH_ASSOC);
        }
        
        function obrisiPitanje($idP){
            $this->dbh->exec("delete from table pitanja where ID=$idP");
        }
        
        function dodajPitanje($idK, $tekstPitanja){
            $sql = "insert into pitanja (ID_kviza, tekst) values ($idK, '$tekstPitanja')";
            $this->dbh->exec($sql);
        }
        
        function dajIdPitanja($idK, $tekst){
            return $this->dbh->query("select * from pitanja where ID_kviza=$idK and tekst='$tekst'")->fetch(PDO::FETCH_ASSOC);
        }
        
        function dodajOdgovor($idP, $tekst, $tacan){
            $this->dbh->exec("insert into odgovri(ID_pitanja, tekst, tacan_odgovor) values($idP, '$tekst', $tacan");
        }
    }

?>