<?php
    require_once './db.php';
    $db = new Db();
    
    $kvizovi = $db->dajKvizove();
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <style>
            #wrapper{
                margin: 0px auto;
                width: 1000px;
                padding: 5px;
            }
            #box{
                width: 300px;
                padding: 10px;
                margin: 5px;
                float: left;
                border: 1px solid black;
                min-height: 200px;
            }
        </style>
    </head>
    <body>
        <div id="wrapper">
            <div id="box">
                <h3 style="font-weight: bold;">Kvizovi:</h3>
                <br>
                <form method='get' name="kvizID">
                    <?php
                        foreach ($kvizovi as $kviz){
                    ?>
                            <a href='index.php?KVIZID=<?php echo $kviz["ID"]; ?>' value='<?php echo $kviz['ID']; ?>' name=<?php echo "kviz_".$kviz["ID"]; ?>
                               <?php if(isset($_GET["kviz_".$kviz["ID"]])) echo "<span style='font-weight:bold'> (izabran)</span>"; ?>
                               ><?php echo $kviz['naziv']; if(isset($_GET["kviz_".$kviz["ID"]])) echo "<span style='font-weight:bold'> (izabran)</span>";?></a>
                     <?php 
                            //if(isset($_GET['KVIZID'])) echo "<span style='font-weight:bold'> (izabran)</span>" ;
                    ?>
                            <br>
                    <?php
                        }
                    ?>
                </form>
                <?php
                   /*if(isset($_GET['KVIZID'])){
                       echo "<span style='font-weight:bold'> (izabran)</span>" ;
                   }*/
                ?>
            </div>
            
            <div id="box">
                <h3 style='font-weight: bold;'>Pitanja za izabrani kviz:</h3>
                <?php
                    if(isset($_GET['KVIZID'])){
                        $pitanja = $db->dajPitanjaZaKviz($_GET['KVIZID']);
                        foreach ($pitanja as $pitanje){
                ?>
                            <input type="submit" name="obrisi" id="obrisi" value="X"/>
                            <a href='index.php?KVIZID=<?php echo $kviz["ID"]; ?>&PITANJEID=<?php echo $pitanje['ID']; ?>' value='<?php echo $pitanje['ID']; ?>' name=<?php echo "pitanje_".$pitanje["ID"]; ?>><?php echo $pitanje['tekst']; ?></a>
                <?php
                            if(isset($_GET['PITANJEID'])) echo "<span style='font-weight:bold'> (izabrano)</span>";
                            //if(isset($_GET['cb_'.$pitanje['ID'])) $db->brisiPitanje($_GET['PITANJEID']);
                ?>
                            <br>
                <?php
                        }
                    }
                    
                    if(isset($_GET['obrisi'])){
                        //print_r("Brisi pitanje:".$_GET['PITANJEID']);
                        $db->obrisiPitanje($_GET['PITANJEID']);
                        header("Location: index.php");
                    }
                ?>
                            
                            
            </div>
            
            <div id="box">
                <h3 style="font-weight: bold;">Odgovori za izabrano pitanje</h3>
                <?php
                    if(isset($_GET['PITANJEID'])){
                        $odgovori = $db->dajOdgovoreZaPitanje($_GET['PITANJEID']);
                        foreach ($odgovori as $odgovor){
                ?>
                        <p><?php echo $odgovor['tekst'];  if($odgovor['ID'] == 1) echo "<span style='font-weight:bold'> (tacno) </span>"; ?></p>
                <?php
                        }
                    }
                ?>
            </div>
            
            <a href="dodaj.php"><input type="submit" value="Dodaj pitanje"/></a>
        </div>
    </body>
</html>
