<?php 
    require_once 'db.php';
    $db=new DB();
    
    if(isset($_GET['dodaj']))
    {
        header("Location: dodaj.php?kviz=".$_GET['kviz']);
    }
    
    if(isset($_GET['obrisi']))
    {
        $db->obrisiPit($_GET['obrisi']);
        header("Location: index.php?kviz=".$_GET['kviz']);
    }
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <h2>Kvizovi</h2>
        <br>
        <?php
            $kod='';
            $kvizovi=$db->getKviz();
            foreach ($kvizovi as $k)
            {
                $kod.="<a href='index.php?kviz=".$k['ID']."'>".$k['naziv'];
                if(isset($_GET['kviz']) && $_GET['kviz']==$k['ID'])
                    $kod.="<b>(izabrano)</b>";
                $kod.="</a><br>";
            }
            echo $kod;
            
            echo "<br><h2>Pitanja</h2><br>";
            
            if(isset($_GET['kviz']))
            {
                $kod1="<form method='get'>";
                $kod1.="<input type='submit' name='dodaj' value='dodaj pitanje'><br><br>";
                $kod1.="<input type='hidden' name='kviz' value=".$_GET['kviz'].">";
                $pitanja=$db->getPitanje($_GET['kviz']);
                foreach ($pitanja as $k)
                {
                    $kod1.="<input type='button' onclick='obrisi(".$k['ID'].",".$_GET['kviz'].")' value='Del' name='delete'>";
                    $kod1.="<a href='index.php?kviz=".$_GET['kviz']."&pit=".$k['ID']."'>".$k['tekst'];
                    if(isset($_GET['pit']) && $_GET['pit']==$k['ID'])
                        $kod1.= "<b>(izabrano)</b>";
                    $kod1.="</a><br>";
                }
                $kod1.="</form>";
                echo $kod1;
            }
            
            echo "<br><h2>Ogovori</h2><br>";
            
            if(isset($_GET['pit']))
            {
                $kod2='';
                $odgovori=$db->getOdgovor($_GET['pit']);
                foreach ($odgovori as $k)
                {
                    $kod2.=$k['tekst'];
                    if($k['tacan_odgovor'])
                    {
                        $kod2.="<b>(tacno)</b>";
                    }
                    $kod2.="<br>";
                }
                echo $kod2;
            }
        ?>
    </body>
    <script>
        function obrisi(id,kviz)
        {
            window.location="index.php?obrisi="+id+"&kviz="+kviz;
        }
    </script>
</html>
