<?php
require_once './kvizovi_db.php';
$base = new Kviz();
$kvizovi = $base->GetAllKviz();

$kviz_id = 0;
if (isset($_GET['kviz']))
    $kviz_id = $_GET['kviz'];

$pitanje_id = 0;
if (isset($_GET['pitanje']))
    $pitanje_id = $_GET['pitanje'];

if (isset($_GET['obrisi'])) {
    echo "setovano";
    $base->DeleteFromPitanja($pitanje_id);
    echo "<script>window.location='index.php?kviz=" . $kviz_id . "'</script>";
}

if (isset($_GET['add']) && $kviz_id == 0)
{
    echo "<script>alert('Izaberi kviz!')</script>";
}

if (isset($_GET['add']) && $kviz_id != 0)
{
    echo "<script>window.location='add_pitanje.php?kviz=" . $kviz_id . "'</script>";
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="get">
            <div style="width: 260px; float: left; border:1px solid black; padding: 5px; height: 200px">
                <h3>Kvizovi:</h3>
                <br>
                <hr>
                <?php
                foreach ($kvizovi as $kviz) {
                    echo "<a href=" . $_SERVER['PHP_SELF'] . "?kviz=" . $kviz['id'] . " >" . $kviz['naziv'] . "</a>";
                    if (isset($_GET['kviz']) && $_GET['kviz'] == $kviz['id'])
                        echo " <b> (izabran)</b>";
                    echo "<br>";
                }
                ?>
            </div>
            <div style="margin-left: 30px; width: 280px; float: left; border:1px solid black; padding: 5px; height: 200px">
                <h3>Pitanja za izabrani kviz:</h3>
                <form action="<?php echo $_SERVER['PHP_SELF']?>" metho="get">
                    <input type="hidden" name="kviz" value="<?php echo $kviz_id?>">
                    <input type="submit" name="add" value="Dodaj pitanje">
                </form>
                <hr>
                <?php
                if ($kviz_id != 0) {
                    $pitanja = $base->GetAllPitanja($kviz_id);
                    foreach ($pitanja as $pitanje) {
                        echo " <a style='text-decoration: none' href=" . $_SERVER['PHP_SELF'] . "?obrisi=1&pitanje=" . $pitanje['id'] . "&kviz=$kviz_id >";
                        echo "<span style='background-color: lightgrey; color: red;padding: 2px'>X</span>";
                        echo "</a>";
                        echo " <a href=" . $_SERVER['PHP_SELF'] . "?pitanje=" . $pitanje['id'] . "&kviz=$kviz_id >" . $pitanje['tekst'] . "</a>";
                        if (isset($_GET['pitanje']) && $_GET['pitanje'] == $pitanje['id'])
                            echo " <b> (izabrano)</b>";
                        echo "<br>";
                    }
                }
                ?>
            </div>
            <div style="margin-left: 30px; width: 260px; float: left; border:1px solid black; padding: 5px; height: 200px">
                <h3>Odgovori za izabrano pitanje:</h3>
                <br>
                <hr>
                <?php
                if ($pitanje_id != 0) {
                    $odgovori = $base->GetAllOdgovori($pitanje_id);
                    foreach ($odgovori as $odgovor) {
                        echo $odgovor['tekst'];
                        if ($odgovor['tacan_odgovor'] == 1)
                            echo " (tacno)";
                        echo "<br>";
                    }
                }
                ?>
            </div>
        </form>

    </body>
</html>
