<?php

class Kviz {

    const host = "localhost";
    const dbname = "kviz";
    const user = "root";
    const pass = "";

    private $dbh;

    function __construct() {
        try {
            $connStr = "mysql:host=" . self::host . ";dbname=" . self::dbname;
            $this->dbh = new PDO($connStr, self::user, self::pass);
        } catch (Exception $ex) {
            die ("Greska prilikom povezivanja na bazu!");
        };
    }

    function __destruct() {
        $this->dbh = null;
    }
    
    function GetAllKviz()
    {
        $query = "SELECT * FROM kvizovi";
        return $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function GetAllPitanja($id_kviza)
    {
        $query = "SELECT * FROM pitanja WHERE id_kviza = $id_kviza";
        return $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function GetAllOdgovori($id_pitanja)
    {
        $query = "SELECT * FROM odgovori WHERE id_pitanja = $id_pitanja";
        return $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function DeleteFromPitanja($id_pitanja)
    {
        $query = "DELETE FROM pitanja WHERE id = $id_pitanja";
        $this->dbh->exec($query);
        $this->DeleteFromOdgovori($id_pitanja);
    }
    
    function DeleteFromOdgovori($id_pitanja)
    {
        $query = "DELETE FROM odgovori WHERE id_pitanja = $id_pitanja";
        $this->dbh->exec($query);
    }
    
    function AddQuestion($id_kviza, $tekst)
    {
        $query = "INSERT INTO pitanja VALUES (null, $id_kviza, '$tekst')"; 
        $this->dbh->exec($query);
        return "aaa";
    }
    
    function AddAnswer($id_pitanja, $tekst, $tacan_odgovor)
    {
        $query = "INSERT INTO odgovori VALUE (null, $id_pitanja, '$tekst', $tacan_odgovor)";
        $this->dbh->exec($query);
    }
    
    function GetAllPitanjaSolo()
    {
        $query = "SELECT * FROM pitanja";
        $pitanja = $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
        $max_id = 0;
        foreach ($pitanja as $pitanje) {
            $max_id = $pitanje['id'];
        }
        return $max_id;
    }
}

?>