<?php
    require_once './db.php';
    $db = new Db();
    
    if(isset($_GET['kviz']))
    {
        $questions = $db->getPitanja($_GET['kviz']);
        foreach($questions as $question)
        {
            if(isset($_GET['obrisi_'.$question['ID']]))
                    $db->obrisiPitanje ($question['ID']);
        }
    }
    
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <div style="border:1px solid black; float:left; margin-right:5px; height:300px; width:300px">
            <b>Kvizovi:</b><br><br>
        <hr>
        <?php
            $kvizovi = $db->getKvizovi();
            foreach($kvizovi as $kviz)
            {
                ?>
        <a href="index.php?kviz=<?php echo $kviz['ID']; ?>"><?php echo $kviz['naziv'] ?></a><?php if(isset($_GET['kviz']) && $_GET['kviz'] == $kviz['ID']) echo "(<b>izabran</b>)"; ?><br>
                <?php
            }
        ?>
        </div>
        <div style="border:1px solid black; float:left; margin-right:5px; height:300px; width:300px">
            <b>Pitanja za izabrani kviz:</b><br>
            <a href='dodavanje.php?odabranKviz=<?php if(isset($_GET['kviz'])) echo $_GET['kviz']; ?>'><input type='button' value='Dodaj pitanje' ></a>
            <hr>
            <?php 
                if(isset($_GET['kviz']))
                {
                    $pitanja = $db->getPitanja($_GET['kviz']);
                 
                    foreach ($pitanja as $pitanje)
                    {
                        ?>
            <a href='index.php?kviz=<?php echo $_GET['kviz']; ?>&obrisi_<?php echo $pitanje['ID']; ?>=' ><input type='button' value='X'></a> <a href="index.php?kviz=<?php echo $_GET['kviz']; ?>&pitanje=<?php echo $pitanje['ID']; ?>"><?php echo $pitanje['tekst'] ?></a><?php if(isset($_GET['pitanje']) && $_GET['pitanje'] == $pitanje['ID']) echo "(<b>izabrano</b>)"; ?><br>
                        <?php
                    }
                }
            ?>
        </div>
        <div style="border:1px solid black; float:left; margin-right:5px; height:300px; width:300px">
            <b>Odgovori za izabrano pitanje:</b><br><br>
            <hr>
            <?php
                if(isset($_GET['pitanje']))
                {
                    $odgovori = $db->getOdgovori($_GET['pitanje']);
                    foreach($odgovori as $odgovor)
                    {
                        ?>
                        <p><?php echo $odgovor['tekst']; if($odgovor['tacan_odgovor'] == 1) echo "(<b>tacno</b>)"; ?></p>
                        <?php
                    }
                }
            ?>
        </div>
    </body>
</html>
